2013-08-01  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/evaluate.c, libgputils/gpcofflink.c, libgputils/gpprocessor.c,
    libgputils/gpprocessor.h: fixed bug
    #268 PIC14e: HIGH directive not setting bit-7
  * gputils/gpvo.c: display symbolic value of relocation type

2013-07-24  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpcofflink.c, libgputils/gpprocessor.c:
    applied modified patch [PATCH] Bad warning for BRA on 16F code,
    thanks to Richard Hodges

2013-06-30  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p16f753.inc, p16hv753.inc, header/p16f1704.inc,
    header/p16f1708.inc, header/p16lf1704.inc, header/p16lf1708.inc,
    lkr/16f753_g.lkr, lkr/16hv753_g.lkr:
    Fresh based on the mplabx-1.85.

2013-05-17  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c: generate error if CONFIG directive is used with
    non 16 bit devices

2013-05-14  Borut Razem  <borutr@users.sourceforge.net>
  * doc/html-help/Makefile.am, doc/html-help/Makefile.in:
    define -gp option as gputils source directory instead of
    repository root

2013-05-11  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * libgputils/gpprocessor.c, libgputils/gpcfg-table.c:
    Repair and supplement.

2013-05-11  Borut Razem  <borutr@users.sourceforge.net>
  * doc/gputils.lyx: various updates

2013-05-11  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/Makefile.am, header/Makefile.in, header/p16f1704.inc,
    header/p16f1708.inc, header/p16lf1704.inc, header/p16lf1708.inc,
    header/p16lf1xxx.inc, lkr/Makefile.am, lkr/Makefile.in,
    lkr/16f1704_g.lkr, lkr/16f1708_g.lkr, lkr/16lf1704_g.lkr,
    lkr/16lf1708_g.lkr, libgputils/gpprocessor.c, doc/gputils.lyx:
    New MCU-s based on the mplabx-1.8.
  * header/p16f753.inc:
    Fresh based on the mplabx-1.8.
  * header/p16f1782.inc, header/p16f1783.inc, header/p16lf1782.inc,
    header/p16lf1783.inc:
    Repaired the faulty gputils's entries.

2013-05-09  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpmemory.c:
    fixed bug #264 gpasm 1.1.0 core dumps using mixed CONFIG __CONFIG
    word memory location is used if at least one byte is used
  * include/stdhdr.h: updated copyright year
  * gpasm/directive.c:
    fixed default access RAM argument for 16bit extended instructions
  * gpasm/directive.c, gpasm/coff.c: fixed __CONFIG section generation
    for configs on odd address
  * gplink/map.c: Symbols - Sorted by Name, Symbols - Sorted by Address
  * gputils/gpvo.c, gputils/dump.c: don't exit if source file not found,
    don't crash (assert) on bed section number

2013-05-05  Borut Razem  <borutr@users.sourceforge.net>
  * man/gpasm.1.in, man/fr/gpasm.1.in, gpasm/gpasm.c, doc/gputils.lyx:
    fixed English typos, applied patch
    #265 French trenslation of gputils/man/fr/gpasm.1.in,
    thanks to Alain Portal

2013-05-04  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gpasm.c, doc/gputils.lyx:
    reorder the usage options listing
  * man/gpasm.1.in: added missing --mpasm-compatible and -P options
  * man/fr/gpasm.1.in: added missing --mpasm-compatible and -P
    options, prepared for French translation

2013-04-29  Borut Razem  <borutr@users.sourceforge.net>
  * configure.ac, configure, doc/gputils.lyx: version changed to 1.2.0

2013-04-21  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.project/objfiles/config2.o,
    gpasm/testsuite/gpasm.project/objfiles/code_pack.o,
    gpasm/testsuite/gpasm.project/objfiles/pageselw2.o,
    gpasm/testsuite/gpasm.project/objlstfiles/config2.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/code_pack.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/pageselw2.lst:
    regenerated with MPASMX 5.49

2013-04-17  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c:
    fixed the gpasm part of bug #263 segmentation fault - svn 961

2013-04-14  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/gplink.c, libgputils/gparchive.c, libgputils/gparchive.h,
    libgputils/gpreadobj.c, libgputils/gpreadobj.h:
    fixed bug #263 segmentation fault - svn 961

2013-04-11  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/gpasm.h.in, gpasm/coff.c, gpasm/coff.h,
    gpasm/gpasm.c, gpasm/scan.l, libgputils/gpcofflink.c,
    libgputils/gpcoffgen.c, libgputils/gpcoffgen.h:
    implemented enhancement requests
    #61 - "__idlocs and __config generate line numbers" and
    #58 Generate mpasm compatible .config sections
  * gputils/gpvo.c, gpasm/evaluate.c: cosmetic changes
  * libgputils/gpmemory.c, gpasm/lst.c:
    don't allocate memory until it is used - written

2013-04-10  Borut Razem  <borutr@users.sourceforge.net>
  *  gpasm/testsuite/gpasm.mchip/objfiles/objsec2.o,
     gpasm/testsuite/gpasm.mchip/objfiles/objsec3.o:
     regenerated with MPASMX 5.49
  * config3.lst: regenerated with MPASMX 5.49

2013-04-03  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpreadobj.c: strengthened bad object format detection

2013-04-01  Borut Razem  <borutr@users.sourceforge.net>
  * gputils/gpvo.c: fixed printing 1 byte config data

2013-03-31  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c: print only lower 4 addres bytes in mempry map listing
  * libgputils/gpwritehex.c: added function start_record() and other
    small changes
  * gpasm/gpasm.c, libgputils/gpcfg.h:  cosmetic changes
  * gpasm/testsuite/gpasm.project/asmfiles/config3.asm: make it assemble
    with MPASM(X)
  * gpasm/directive.c,
    gpasm/testsuite/gpasm.project/asmfiles/config4.asm,
    gpasm/testsuite/gpasm.project/hexfiles/config4.hex,
    gpasm/testsuite/gpasm.project/listfiles/config4.lst:
    don't emit untouched bytes to the hex file for CONFIG directive;
    added regression test

2013-03-30  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/parse.y: fixed cblock listing

2013-03-29  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpsymbol.c: fixed bug
    #262 - "Define and macro arguments: Error[124] : Illegal argument"
  * gpasm/testsuite/gpasm.project/asmfiles/sym.asm,
    gpasm/testsuite/gpasm.project/listfiles/sym.lst,
    gpasm/testsuite/gpasm.project/hexfiles/sym.hex:
    added regression test for bug #262

2013-03-17  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/scan.l, gpasm/testsuite/gpasm.project/objasm/direct.asm,
    gpasm/testsuite/gpasm.project/objlstfiles/direct.lst,
    gpasm/testsuite/gpasm.project/objfiles/direct.o:
    fixed tokenizer bug for very long macro parameters,
    enhaced direct.asm regression test

2013-03-08  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/lst.c, libgputils/gpopcode.c,
    libgputils/gpopcode.h, libgputils/gpcoff.h, libgputils/gpdis.c.
    libgputils/gpcofflink.c, libgputils/gpprocessor.c,
    libgputils/gpprocessor.h,
    gpasm/testsuite/gpasm.project/asmfiles/op12e_12f529.asm,
    gpasm/testsuite/gpasm.project/asmfiles/op12e_16f570.asm,
    gpasm/testsuite/gpasm.project/hexfiles/op12e_16f570.hex,
    gpasm/testsuite/gpasm.project/hexfiles/op12e_12f529.hex,
    gpasm/testsuite/gpasm.project/objasm/op12e_16f570.asm,
    gpasm/testsuite/gpasm.project/objasm/op12e_12f529.asm,
    gpasm/testsuite/gpasm.project/objlstfiles/op12e_12f529.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/op12e_16f570.lst,
    gpasm/testsuite/gpasm.project/objfiles/op12.o,
    gpasm/testsuite/gpasm.project/objfiles/op12e_16f570.o,
    gpasm/testsuite/gpasm.project/objfiles/op12e_12f529.o,
    gpasm/testsuite/gpasm.project/listfiles/op12e_12f529.lst,
    gpasm/testsuite/gpasm.project/listfiles/op12e_16f570.lst,
    gpasm/testsuite/gpasm.mchip/objfiles/reloc2.o:
    fixed support for 12 bit extended instruction set, devices
    PIC12F529T48A, PIC12F529T39A, 16F527 and PIC16F570

2013-03-07  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * libgputils/gpprocessor.c: bugfix

2013-03-05  Borut Razem  <borutr@users.sourceforge.net>
  * gputils/gpasm/evaluate.c, gputils/gpasm/directive.c,
    gputils/gpasm/processor.c, gputils/gpasm/gperror.c,
    gputils/gpasm/gperror.h: fix for 16 bit extended instruction set,
    Byte-Oriented and Bit-Oriented Instructions in Indexed Literal
    Offset Mode
  * gputils/gpasm/testsuite/gpasm.old/test0.asm,
    gputils/gpasm/testsuite/gpasm.old/x.asm: dont use halt as a label
    since it is a preudo operatin code

2013-03-04  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * libgputils/gpprocessor.c: Changed some class to PROC_CLASS_PIC12E,
    new member in the struct px pics[]: is_16bit_extended

2013-03-03  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.h: added new class PROC_CLASS_PIC12E;
    added member is_16bit_extended to px structure
  * gpasm/gpasm.h.in, gpasm/cod.c: removed unneeded gvt_org

2013-03-03  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/*.inc, lkr/*.lkr:
    Updated based on the mplabx-1.7.

2013-01-09  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/parse.y:
    fixed bug #260 - "gpasm crash on syntax error in included file"

2013-01-02  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * doc/gputils.lyx: New MCU-s based on the mplabx-1.6.

2013-01-02  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/Makefile.am, header/Makefile.in, header/p16f570.inc,
    header/p16f753.inc, header/p16hv753.inc, header/p16lf1824t39a.inc,
    lkr/Makefile.am, lkr/Makefile.in, lkr/16f570_g.lkr, lkr/16f753_g.lkr,
    lkr/16hv753_g.lkr, lkr/16lf1824t39a_g.lkr, libgputils/gpprocessor.c:
    New MCU-s based on the mplabx-1.6.

2013-01-02  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p16f720.inc, header/p16f721.inc, header/p16lf720.inc,
    header/p16lf721.inc, header/p16lf1788.inc, header/p16lf1789.inc,
    header/p16lf1902.inc, header/p16lf1903.inc, header/p18f65j94.inc,
    header/p18f66j60.inc, header/p18f66j65.inc, header/p18f66j94.inc,
    header/p18f66j99.inc, header/p18f67j60.inc, header/p18f67j94.inc,
    header/p18f85j94.inc, header/p18f86j60.inc, header/p18f86j65.inc,
    header/p18f86j94.inc, header/p18f86j99.inc, header/p18f87j60.inc,
    header/p18f87j94.inc, header/p18f95j94.inc, header/p18f96j60.inc,
    header/p18f96j65.inc, header/p18f96j94.inc, header/p18f96j99.inc,
    header/p18f97j60.inc, header/p18f97j94.inc, libgputils/gpcfg-table.c:
    Updated based on the mplabx-1.6.

2013-01-01  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpopcode.c:
    implemented RFE #31 - "Support for undowumented opcodes"

2012-12-31  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.h, gpasm/gpasm.c, gpasm/directive.c, gpasm/gpasm.h.in,
    gpasm/preprocess.c, gpasm/parse.y, gpasm/lst.c, doc/gputils.lyx:
    implemented RFE #17 - "output asm text after macro substitution"

2012-12-23  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/ppscan.l: fixed a nasty "semiclon after if" error

2012-12-22  Borut Razem  <borutr@users.sourceforge.net>
  * AUTHORS: corrected Borut's email address

2012-12-14  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c: removed assertion for RELOCT_FF1 and RELOCT_FF2
    since it fails during sdcc pic16 library compilation;
    disabled all print_reloc() assertions

2012-12-09  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.mchip/asmfiles/list11.asm;
    gpasm/testsuite/gpasm.mchip/listfiles/list11.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/list11.hex:
    regression tests adapted for gpasm

2012-12-09  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gperror.c, gpasm/lst.c, gpasm/directive.c:
    error message and listing enhancements
  * gpasm/testsuite/gpasm.mchip/asmfiles/hd642.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/hd642.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd642.hex,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd658.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/hd658.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd658.hex,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd662.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/hd662.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd662.hex,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd858.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/hd858.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd858.hex,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd870.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/hd870.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd871.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/hd871.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd872.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/hd872.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/list8.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/list8.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/list9.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/list9.lst:
    regression tests adapted for gpasm
  * libgputils/gpwritehex.c, libgputils/gpwritehex.h:
    fixed .hxl and .hxh file generation
  * gpasm/testsuite/test: test .hxl and .hxh files
  * gpasm/testsuite/gpasm.mchip/listfiles/list5.hxh,
    gpasm/testsuite/gpasm.mchip/listfiles/list5.hxl: added
  * configure.ac, configure, doc/gputils.lyx: version changed to 1.0.0

2012-12-08  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/gperror.c, gpasm/lst.c,
    libgputils/gpmemory.c:
    error message and listing enhancements

2012-12-07  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/coff.c, gpasm/gperror.c, gpasm/parse.y, gpasm/lst.c,
    gpasm/directive.c:
    error message and listing enhancements
  * gpasm/testsuite/gpasm.mchip/asmfiles/files1.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/files1.lst
    gpasm/testsuite/gpasm.mchip/listfiles/files2.lst
    regression tests adapted for gpasm

2012-12-05  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.project/listfiles/op16e.lst,
    gpasm/testsuite/gpasm.project/listfiles/op12.lst,
    gpasm/testsuite/gpasm.project/listfiles/op14.lst,
    gpasm/testsuite/gpasm.project/listfiles/op16.lst,
    gpasm/testsuite/gpasm.project/listfiles/pageselw2.lst,
    gpasm/testsuite/gpasm.project/listfiles/sx.lst:
    moved to gpasm/testsuite/gpasm.project/objlstfiles
    gpasm/testsuite/gpasm.project/objlstfiles/op12.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/op14.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/op16.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/config2.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/config3.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/op14e.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/extern_segv.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/pageselw2.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/sx.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/data1.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/code_pack2.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/op16e.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/code_pack3.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/data2.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/data3.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/config3e.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/data4.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/data5.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/data3e.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/code_pack.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/dim.lst,
    gpasm/testsuite/gpasm.project/objlstfiles/direct.lst:
    added
    gpasm/testsuite/gpasm.project/asmfiles/op12.asm,
    gpasm/testsuite/gpasm.project/hexfiles/op12.hex:
    modified for 16c58b 12bit core
  * gpasm/testsuite/gpasm.project/listfiles/op12.lst,
    gpasm/testsuite/gpasm.project/listfiles/op14.lst:
    added

2012-12-04  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.mchip/asmfiles/hd242.asm,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd242.hex,
    gpasm/testsuite/gpasm.mchip/listfiles/hd242.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd252.asm,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd252.hex,
    gpasm/testsuite/gpasm.mchip/listfiles/hd252.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd442.asm,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd442.hex,
    gpasm/testsuite/gpasm.mchip/listfiles/hd442.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd452.asm,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd452.hex,
    gpasm/testsuite/gpasm.mchip/listfiles/hd452.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/hd715.asm,
    gpasm/testsuite/gpasm.mchip/hexfiles/hd715.hex,
    gpasm/testsuite/gpasm.mchip/listfiles/hd715.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/hdmem.asm,
    gpasm/testsuite/gpasm.mchip/hexfiles/hdmem.hex,
    gpasm/testsuite/gpasm.mchip/listfiles/hdmem.lst:
    regression tests adapted for gpasm

2012-12-03  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c, gpasm/lst.h, gpasm/directive.c:
    fixed listing of PAGE directive;
    error, warning, message spacing like in MPASM(X)
  * gpasm/parse.y, gpasm/gpasm.h.in: improved CBLOCK listing
  * gpasm/gpasm.c: initialize astack before the second pass
  * gpasm/evaluate.c, gpasm/util.c, gpasm/gperror.c,
    gpasm/ppscan.l, gpasm/directive.c, gpasm/processor.c:
    error message and listing enhancements
  * gpasm/scan.l, gpasm/gperror.c: error message enhancements
  * gpasm/lst.c: EEPROM listing fixes
  * gpasm/directive.c: implemented BCDIRECT as alias of .DIRECT;
    range check for emit_byte DATA
  * gpasm/testsuite/test: added -m option to usage
  * gpasm/testsuite/gpasm.mchip/asmfiles/end2.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/end2.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/if1.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/if1.lst,
    gpasm/testsuite/gpasm.mchip/listfiles/local1.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/local1.asm,
    gpasm/testsuite/gpasm.mchip/asmfiles/operat1.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/operat1.lst,
    gpasm/testsuite/gpasm.mchip/asmfiles/pseudo14.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/pseudo14.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/pseudo14.hex,
    gpasm/testsuite/gpasm.mchip/asmfiles/var1.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/var1.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/var1.hex:
    regression tests adapted for gpasm
  * gpasm/testsuite/gpasm.project/hexfiles/eeprom8.hex,
    gpasm/testsuite/gpasm.project/listfiles/eeprom8.lst,
    gpasm/testsuite/gpasm.project/asmfiles/eeprom8.asm: added

2012-12-02  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/list.c: added info about amount of free program memory to the
    listing
  * gpasm/macro.c, gpasm/gpasm.c: fixed warnings
  * gpasm/preprocess.c: fix for eof without newline

2012-12-01  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * libgputils/gpprocessor.c: Minor correction of prog_mem_size.

2012-12-01  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * libgputils/gpprocessor.c.
    libgputils/gpprocessor.h:
    New members in the struct proc_class: page_size, bank_size
    New member in the struct px: prog_mem_size

2012-11-30  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.mchip/asmfiles/while1.asm,
    gpasm/testsuite/gpasm.mchip/asmfiles/while2.asm,
    gpasm/testsuite/gpasm.mchip/listfiles/while1.lst,
    gpasm/testsuite/gpasm.mchip/listfiles/while2.lst,
    gpasm/testsuite/gpasm.mchip/listfiles/while3.lst,
    gpasm/testsuite/gpasm.mchip/hexfiles/while1.hex,
    gpasm/testsuite/gpasm.mchip/hexfiles/while2.hex:
    fixed MPASM(X) "Warning[207]: Found label after column 1." which
    generates an error on gpasm
  * gpasm/gpasm.h.in, gpasm/preprocess.c, gpasm/parse.y,
    gpasm/gpasm.c, gpasm/util.c, gpasm/directive.c:
    implemented nested WHILE loops
  * gpasm/parse.y, gpasm/macro.c, gpasm/macro.h, gpasm/directive.c,
    gpasm/gpasm.h.in, gpasm/preprocess.c, gpasm/scan.l:
    WHILE listing compatible with MPASM(X)

2012-11-30  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c: data sections listing fixes, ibank listing fix
  * gpasm/directive.c: global directive listing fix
  * gpasm/preprocess.c:
    fixed nested define with parameters substitution,
    fixed substitution of mltiple define with parameters in the same line
  * libgputils/gpprocessor.h:
    added gp_processor_check_ibank() declaration

2012-11-26  Borut Razem  <borutr@users.sourceforge.net>
  * gputils/libgputils/gpprocessor.c, gputils/libgputils/gpprocessor.h,
    gputils/libgputils/gpcofflink.c, gputils/gpasm/directive.c:
    implemented feature request #62 - "BANKISEL with enhaced PIC series"
  * gputils/gpasm/testsuite/gpasm.project/listfiles/bankisel5.lst,
    gputils/gpasm/testsuite/gpasm.project/asmfiles/bankisel5.asm,
    gputils/gpasm/testsuite/gpasm.project/hexfiles/bankisel5.hex:
    added regression test for feature request #62 - "BANKISEL with enhaced PIC series"

2012-11-25  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p18f6390.inc: Repaired wrong address of RCREG, H'0FA0' --> H'0FAE'.

2012-11-25  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p18f63j11.inc: Repaired wrong address of RCREG, H'0FD0' --> H'0FAE'.

2012-11-15  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpreadobj.c:
    fixed bug #258 - [GPLINK] error: multiple sections using address 0xYYYY

2012-11-04  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/evaluate.c, gpasm/directive.c, gpasm/gperror.c:
    fixed bug #186 - unresolvable expressions regarding externals fail silently
  * configure.ac, configure, doc/gputils.lyx: version changed to 0.15.0

2012-11-03  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/lst.c, gpasm/lst.h, gpasm/gperror.c,
    gpasm/gpasm.h.in: implemented LIST directive c=xxx option
  * gpasm/scan.l, gplink/scan.l: skip CR followed by LF
  * gpasm/ppscan.l: don't preprocess #v in comments

2012-11-02  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c:
    db, dw: don't generate code if not in appropriate section;
    error GPE_ILLEGAL_DIR prints the illegal directive
  * gpasm/coff.h, gpasm/scan.l: cosmetic changes
  * gpasm/gpasm.c:
    initialize new_sec_flags to none on second pass for relative mode
  * gpasm/gperror.c, gpasm/gperror.h: introduced GPE_LABEL_IN_SECTION;
    error GPE_ILLEGAL_DIR prints the illegal directive
  * gpasm/parse.y: introduced GPE_LABEL_IN_SECTION
  * gpasm/lst.c: fixed DB assertion
  * gplink/testsuite/gplink.project/asmfiles/reloc12_1.asm,
    gplink/testsuite/gplink.project/asmfiles/reloc12_2.asm:
    idata section replaced with udata since idata is not supported on
    12bit devices
  * gpasm/testsuite/test, gplink/testsuite/test:
    tests can be executed using MPLABX tools
  * gpasm/testsuite/gpasm.project/asmfiles/baddefine.asm,
    gpasm/testsuite/gpasm.project/objasm/config2.asm
    gpasm/testsuite/gpasm.project/objasm/pageselw2.asm,
    gpasm/testsuite/gpasm.project/objasm/data2.asm,
    gpasm/testsuite/gpasm.project/objasm/code_pack.asm:
    adapted for MPLABX tools
  * gpasm/testsuite/gpasm.project/objasm/op16.asm,
    gpasm/testsuite/gpasm.project/objfiles/op16.o:
    test extended
  * gputils/testsuite/gpdasm.project/op16e.asm:
    added MOVLB Argument out of range test

2012-11-01  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/gplink.c, gplink/gplink.h.in:
    fixed bug #175 - [gplink] Multiple linker command files not accepted

2012-11-01  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * AUTHORS: Updated my email address.

2012-11-01  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * doc/gputils.lyx: updated

2012-11-01  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p16f1788.inc, header/p16f1789.inc, header/p16lf1788.inc,
    header/p16lf1789.inc, header/Makefile.in, header/Makefile.am,
    libgputils/gprocessor.c, lkr/16f1788_g.lkr, lkr/16f1789_g.lkr,
    lkr/16lf1788_g.lkr, lkr/16lf1789_g.lkr, lkr/Makefile.in,
    lkr/Makefile.am: New devices basis of the MPLAB-X v1.5.

2012-11-01  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * libgputils/gpcfg-table.c: Updated basis of the MPLAB-X v1.5.

2012-11-01  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p12f529t39a.inc, header/p12f529t48a.inc, header/p12f1840.inc,
    header/p12lf1552.inc, header/p12lf1840.inc, header/p12lf1840t39a.inc,
    header/p12lf1840t48a.inc, header/p16f527.inc, header/p16f1454.inc,
    header/p16f1455.inc, header/p16f1459.inc, header/p16f1512.inc,
    header/p16f1513.inc, header/p16f1787.inc, header/p16f1946.inc,
    header/p16f1947.inc, header/p16lf1454.inc, header/p16lf1455.inc,
    header/p16lf1459.inc, header/p16lf1512.inc, header/p16lf1513.inc,
    header/p16lf1946.inc, header/p16lf1947.inc, header/p18cxxx.inc,
    header/p18f24k50.inc, header/p18f25k50.inc, header/p18f25k80.inc,
    header/p18f26k80.inc, header/p18f45k50.inc, header/p18f45k80.inc,
    header/p18f46k80.inc, header/p18f65j94.inc, header/p18f65k22.inc,
    header/p18f65k80.inc, header/p18f65k90.inc, header/p18f66j60.inc,
    header/p18f66j65.inc, header/p18f66j94.inc, header/p18f66j99.inc,
    header/p18f66k22.inc, header/p18f66k80.inc, header/p18f66k90.inc,
    header/p18f67j60.inc, header/p18f67j94.inc, header/p18f67k22.inc,
    header/p18f67k90.inc, header/p18f85j94.inc, header/p18f85k22.inc,
    header/p18f85k90.inc, header/p18f86j60.inc, header/p18f86j65.inc,
    header/p18f86j94.inc, header/p18f86j99.inc, header/p18f86k22.inc,
    header/p18f86k90.inc, header/p18f87j60.inc, header/p18f87j94.inc,
    header/p18f87k22.inc, header/p18f87k90.inc, header/p18f95j94.inc,
    header/p18f96j60.inc, header/p18f96j65.inc, header/p18f96j94.inc,
    header/p18f96j99.inc, header/p18f97j60.inc, header/p18f97j94.inc,
    header/p18lf24k50.inc, header/p18lf25k50.inc, header/p18lf25k80.inc,
    header/p18lf26k80.inc, header/p18lf45k50.inc, header/p18lf45k80.inc,
    header/p18lf46k80.inc, header/p18lf65k80.inc, header/p18lf66k80.inc,
    lkr/16f527_g.lkr, lkr/16f1512_g.lkr, lkr/16f1513_g.lkr,
    lkr/16lf1512_g.lkr, lkr/16lf1513_g.lkr, lkr/18f65j94_g.lkr,
    lkr/18f66j94_g.lkr, lkr/18f66j99_g.lkr, lkr/18f67j94_g.lkr,
    lkr/18f85j94_g.lkr, lkr/18f86j94_g.lkr, lkr/18f86j99_g.lkr,
    lkr/18f87j94_g.lkr, lkr/18f95j94_g.lkr, lkr/18f96j94_g.lkr,
    lkr/18f96j99_g.lkr, lkr/18f97j94_g.lkr, lkr/18lf13k50_g.lkr,
    lkr/18lf14k50_g.lkr: Updated basis of the MPLAB-X v1.5.

2012-11-01  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpsymbol.c: merged from preprocessor branch
  * gpasm/parse.y: re-introduced fix for
    "produce the listing file in case that included file doesn't exist"
  * gpasm/preprocess.c, gpasm/preprocess.h, gpasm/gperror.c:
    fixed bug #143 #define cycles hang gpasm

2012-10-31  Borut Razem  <borutr@users.sourceforge.net>
  * Merge from preprocessor branch:
    - gpasm/util.c, gpasm/parse.y, gpasm/directive.c, gpasm/gpasm.h.in,
      gpasm/scan.l:
      use IN_MACRO_DEFINITION, IN_MACRO_EXPANSION, IN_WHILE_EXPANSION and
      IN_FILE_EXPANSION defines
    - gpasm/gpasm.c: reinitialize macro symbol table before second pass
    - gpasm/parse.y: corrected identation
    - gpasm/scan.l: evaluate macro parameters as comma delimited literal
      symbols - identifiers
    - gpasm/macro.c: get rid of now unneeded functions node_to_string(),
      cat_symbol() and cat_string()
    - gpasm/preprocess.c, gpasm/preprocess.h, gpasm/scan.l,
      gpasm/ppscan.l, gpasm/ppparse.y: redesigned to handle recursive #v
    - gpasm/macro.c, gpasm/preprocess.c, gpasm/preprocess.h,
      gpasm/gpasm.c, gpasm/gpasm.h.in, gpasm/scan.l:
      separate preprocessing step for macro parameters
    - gpasm/ppscan.l: inner #v handling
    - gpasm/parse.y, gpasm/directive.c, gpasm/evaluate.c, gpasm/evaluate.h:
      removed concatenation functionality
    - gpasm/lst.c, gpasm/lst.h, gpasm/gpasm.c: list / sort all symbols,
      defines and macros
    - gpasm/macro.c: removed concatenation functionality
    - gpasm/Makefile.am, gpasm/Makefile.in, ppcan.l, ppparse.y:
      added ppcan.l and ppparse.y to the project: #v evaluation moved to
      the preprocessor
    - evaluate.c: fixed list_length() for cases where tail of the list is
      not a list; removed concatenation functionality, MPASM(X) compatible
      shift operations in mpasm compatibility mode
    - preprocess.c, gpasm/preprocess.h, gpasm/scan.l, gpasm/parse.y:
      #v evaluation moved to the preprocessor
    - gpasm.h.in: introduced IN_MACRO_DEFINITION, IN_MACRO_EXPANSION,
      IN_WHILE_EXPANSION and IN_FILE_EXPANSION macros
    - gpasm/preprocess.c: preprocessing defines called as macros -
      without parentheses around argumets
    - gpasm/gpasm.h.in, gpasm/scan.l, gpasm/parse.y, gpasm/macro.c,
      gpasm/macro.h: implemented enhancement request
      #16 - "macro argument expansion in lists": expanded macros contain
      actual macro args instead of formal parameters.
    - gpasm/scan.l: removed unused code
    - gpasm/preprocess.c: recursive call preprocess()
    - gpasm/preprocess.c, gpasm/scan.l: #define preprocessing
    - gpasm/Makefile.am, gpasm/Makefile.in, gpasm/preprocess.c,
      gpasm/preprocess.h, gpasm/scan.l, gpasm/parse.y, gpasm/macro.c,
      gpasm/lst.c, gpasm/gpasm.c, gpasm/directive.c, gpasm/gpasm.h.in:
      #define preprocessing performed before tokenization

2012-10-28  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.mchip/asmfiles/files2.asm:
    fixed MPASM(X) "Warning[207]: Found label after column 1." which
    generates an error on gpasm
  * doc/html-help/Makefile.am, doc/html-help/Makefile.in:
    test if *.html and *.css files can be / are generated

2012-10-23  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.mchip/asmfiles/macro1.asm,
    gpasm/testsuite/gpasm.mchip/asmfiles/macro3.asm,
    gpasm/testsuite/gpasm.mchip/asmfiles/poundv1.asm:
    fixed MPASM(X) "Warning[207]: Found label after column 1." which
    generates an error on gpasm
  * gpasm/testsuite/test: tests performed with --mpasm-compatible gpasm
    command line option
  * configure.ac, configure, doc/gputils.lyx: version changed to 0.14.3

2012-10-21  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/gplink.h.in, gplink/scan.l:
    fixed bug #256: atrtificially addding a \n at EOF if missing
  * gpasm/lst.c: fixed warning
  * gpasm/gperror.c, gpasm/scan.l, gpasm/parse.y:
    produce the listing file in case that included file doesn't exist
  * gpasm/parse.y, gpasm/lst.c, gpasm/directive.c, gpasm/gpasm.h.in:
    fixed listing for VARIABLE, CONSTANT, LOCAL and CONFIG directives

2012-10-13  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gperror.c, gpasm/util.c:
    synched GPE_DIFFLAB error message with MPASM(X)

2012-10-11  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c, gpasm/lst.h, gpasm/gpasm.c: list / sort all symbols,
    defines and macros
  * gpasm/directive.c: arity of INSN_CLASS_MOVINDF can't be 4, due to
    fix of list_length()
  * libgputils/Makefile.in, header/Makefile.in, libiberty/Makefile.in,
    lkr/Makefile.in, man/Makefile.in, man/fr/Makefile.in,
    gplink/Makefile.in, gputile/Makefile.in, gpasm/Makefile.in: regenerated

2012-10-10  Borut Razem  <borutr@users.sourceforge.net>
  * evaluate.c: fixed list_length() for cases where tail of the list is
    not a list; MPASM(X) compatible shift operations in mpasm
    compatibility mode
  * doc/gputils.lyx: documented MPASM(X) compatible shift operations in mpasm
    compatibility mode

2012-09-17  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * lkr/16f73_g.lkr: The repair of repair.

2012-09-17  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * lkr/12c509_g.lkr, lkr/12c509a_g.lkr, lkr/12ce519_g.lkr,
    lkr/12cr509a_g.lkr, lkr/16c505_g.lkr, lkr/16f73_g.lkr,
    lkr/16f74_g.lkr, lkr/16f873_g.lkr, lkr/16f873a_g.lkr,
    lkr/16f874_g.lkr, lkr/16f874a_g.lkr, lkr/16f1786_g.lkr,
    lkr/16f1787_g.lkr, lkr/16lf1786_g.lkr, lkr/16lf1787_g.lkr,
    lkr/18c601_g.lkr, lkr/rf509af_g.lkr, lkr/rf509ag_g.lkr:
    Uniform gputils comments.

2012-09-16  Borut Razem  <borutr@users.sourceforge.net>
  * doc/html-doc/Makefile.am, doc/html-doc/Makefile.in, configure.am,
    configure: fixed make dist

2012-09-15  Borut Razem  <borutr@users.sourceforge.net>
  * doc/gputils.lyx, gpasm/gpasm.c, gpasm/gpasm.h.in,
    gpasm/testsuite/test: 
    introdiced --mpasm-compatible command line option
  * gpasm/lst.c, gpasm/coff.c: fixed #255 Bug #227 regressed

2012-09-14  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * doc/html-help/Makefile.am, doc/html-help/Makefile.in:
    Renamed the config-help.pl to device-help.pl.

2012-09-14  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * lkr/16f873_g.lkr, lkr/16f873a_g.lkr, lkr/16f874_g.lkr,
    lkr/16f874a_g.lkr: Added "NAME=gpr[0-2]" sections. Added the new
    "#IFDEF _DEBUGDATASTART" section. Changed more lines in the
    original "#IFDEF _DEBUGDATASTART" section.

2012-09-14  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * lkr/16f73_g.lkr, lkr/16f74_g.lkr: Changed the "NAME=sfr2" and
    "NAME=sfr3" sections. Added the new "#IFDEF _DEBUGDATASTART" section.
    Changed more lines in the original "#IFDEF _DEBUGDATASTART" section.

2012-09-12  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * gputils.spec.in: Configure with --disable-html-doc option.

2012-09-12  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * gputils.spec.in: Revert changes.

2012-09-11  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * AUTHORS: updated
  * doc/html-help/Makefile.am, configure.ac:
    Implemented the --disable-html-doc configure option.
  * gputils.spec.in: modified
  * doc/html-help/Makefile.in, doc/Makefile.in, Makefile.in,
    configure: updated autotools

2012-09-11  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * doc/html-help, doc/html-help/Makefile.am:
    Implemented html help for PIC devices.
  * doc/Makefile.am: modified
  * configure.ac, configure, doc/Makefile.in,
    doc/html-help/Makefile.in: updated autotools

2012-09-11  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/gperror.c: fixed gperror -> gpverror
  * gpasm/directive.c: implemented dtm directive,
    from "Release Notes for MPASM Assembler v5.45":
    A new Directive DTM is added for PIC16 Extended only. This directive
    is similar to existing the DT directive except it generates the
    MOVLW instead of the RETLW generated by DT.

2012-09-10  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p18f13k50.inc, header/p18f14k50.inc: Added LATA{0,1,3} bits
    to "LATA Bits".

2012-09-06  Borut Razem  <borutr@users.sourceforge.net>
  * configure.ac, configure, aclocal.m4, config.h.in, Makefile.in,
    gpasm/Makefile.in, gplink/Makefile.in, gputils/Makefile.in,
    header/Makefile.in, lkr/Makefile.in, libgputils/Makefile.in,
    libiberty/Makefile.am, libiberty/Makefile.in, man/fr/Makefile.in,
    include/stdhdr.h: updated autotools
    libiberty/strndup.c: added
    libiberty/bzero.c: removed

2012-09-06  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gperror.c, gpasm/directive.c, gpasm/expression.c:
    GPE_NOSYM gperror to gpverror conversion
  * gpasm/directive.c, gpasm/gperror.c, gpasm/gperror.h:
    implemented feature request #59 - "Warning message for branching
    before macros"

2012-09-03  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/scan.l, gpasm/parse.y, gpasm/macro.c, gpasm/macro.h,
    gpasm/gpasm.h.in: cache the source line before tokenization
    so there is no need to re-read the line for source file
  * gpasm/scan.l, libgputils/gpsymbol.c: optinization - use yyleng

2012-09-02  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gperror.c, gpasm/gperror.h, gpasm/scan.l, gpasm/parse.y,
    gpasm/evaluate.c: error handling reorganization, part 2

2012-09-01  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c: reverted changes introduced by mistake

2012-08-31  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gperror.c, gpasm/gperror.h, gpasm/special.c,
    gpasm/processor.c, gpasm/lst.c, gpasm/evaluate.c,
    gpasm/lst.h, gpasm/coff.c, gpasm/util.c, gpasm/directive.c:
    error handling reorganization
  * gpasm/directive.c: don't die on symbol redefindefinition

2012-08-28  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c: iterative reimplementation of macro_parms_simple(),
    macro_parms_unique(), macro_parms_ok();
    goto & call: don't check range, page boundary or bad address in
    relocatble sections

2012-08-27  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * lkr/18c601_g.lkr: Changed in "NAME=page" the "END=0x1FFFFF" onto
    the "END=0x3FFFF".
  * header/p12cr509a.inc: New? So far not exist, but the MCU included in
    the gpprocessor.c.

2012-08-27  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/testsuite/gpasm.old/testall:
    don't stop at the first failure, report the number of tests failed
  * gpasm/scan.l: force the scanner to always-interactive
  * pasm/evaluate.c: iterative reimplementation of list_length()
  * libgputils/gpsymbol.c, libgputils/gpsymbol.h:
    added functions hashfunc_len() and get_symbol_len()
  * gpasm/directive.c:
    fixed bug #253 - "[PIC16F]#ifdef problem around macro"

2012-08-19  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/evaluate.c: implemented but ifdef-ed out the fix for shift left > 32,
    another fix for shift right > 32, taking into accont the sign extension

2012-08-18  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/evaluate.c: implemented but ifdef-ed out the fix for bug
    #252 - "Problems interpreting hex numbers in gpasm" since the current
    behavior is MPASM compatible.

2012-08-16  Borut Razem  <borutr@users.sourceforge.net>
  * doc/gputils.lyx: gpasm expressions are implemented using 32-bit arithmetic.
  * gpasm/util.c: implemented gp_strtoi(), partially fixed bug 
    #252: "Problems interpreting hex numbers in gpasm"

2012-08-11  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, libgputils/gpmemory.c:
    fixed bug #3555114 - "Segfault in gplink on uncategorized instruction"

2012-08-03  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * header/p16f1516.inc, header/p16f1517.inc, header/p16f1518.inc,
    header/p16f1519.inc: Removed ANSC{0,1} bits from "ANSELC Bits".

2012-08-02  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/evaluate.c, gpasm/evaluate.h:
    fixed bug #3542579 - "Option -c for gpasm causes different errors"

2012-08-01  Borut Razem  <borutr@users.sourceforge.net>
  * doc/gputils.lyx:
    documented __config deprecation for 16-bit PIC MCU devices

2012-07-31  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c:
    print word value in code sction with undefined nibbles repleced by "?"

2012-07-28  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c: idata and idata_acs directives are not available
    for 12-bit instruction width (PIC10, some PIC12/PIC16) devices,
    according to "MPASM Assembler, MPLINK Object Linker, MPLIB Object
    Librarian User’s Guide"

2012-07-25  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gparchive.c, libgputils/gpreadobj.c, gpasm/parse.y,
    gpasm/cod.c, gplink/script.c, gplink/cod.c, gputils/dump.c
    gputils/block.c: fixed warnings, additional tests for object and
    arhive file consistency
  * gplink/testsuite/gplink.project/lkrfiles/badbank1.lkr,
    gplink/testsuite/gplink.project/lkrfiles/badpage1.lkr,
    gplink/testsuite/gplink.project/lkrfiles/gblconflict.lkr,
    gplink/testsuite/gplink.project/lkrfiles/absconflict.lkr,
    gplink/testsuite/gplink.project/lkrfiles/reloc12.lkr,
    gplink/testsuite/gplink.project/lkrfiles/reloc14.lkr,
    gplink/testsuite/gplink.project/lkrfiles/memseg.lkr,
    gplink/testsuite/gplink.project/lkrfiles/fullbank1.lkr,
    gplink/testsuite/gplink.project/lkrfiles/accesso.lkr,
    gplink/testsuite/gplink.project/lkrfiles/fullpage1.lkr,
    gplink/testsuite/gplink.project/lkrfiles/reloc16e.lkr,
    gplink/testsuite/test: fixed device .lkr file names

2012-07-24  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * lkr/12c509a_g.lkr, lkr/12c509_g.lkr, lkr/12ce519_g.lkr,
    lkr/12cr509a_g.lkr, lkr/16c505_g.lkr, lkr/16f1786_g.lkr,
    lkr/16f1787_g.lkr, lkr/16lf1786_g.lkr, lkr/16lf1787_g.lkr,
    lkr/rf509af_g.lkr, lkr/rf509ag_g.lkr:
    Correct the SECTION NAME=PROG entries.

2012-07-24  Molnar Karoly  <molnarkaroly@users.sourceforge.net>
  * doc/gputils.lyx:
    Sorted the list of supported processors.

2012-07-22  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpreadobj.c, libgputils/gpcoffgen.c,
    libgputils/gpcoffgen.h, gpasm/coff.c, gputils/gpstrip.c:
    fixed bug #2788304 - "[gpasm] Section and label namespaces overlap"

2012-07-19  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c, lkr/rf509ag_g.lkr, lkr/12c509_g.lkr,
    lkr/12c509a_g.lkr, lkr/16c505_g.lkr, lkr/16c58a_g.lkr,
    lkr/12ce519_g.lkr, lkr/rf509af_g.lkr, lkr/12cr509a_g.lkr:
    fixed bug #3545482 - "Correction of gpprocessor.c and some lkr file.",
    thanks to Molnar Karoly
  * libgputils/gpprocessor.c: applied patch
    #3545897 - "Fix the coff_type differences of gpprocessor.c.",
    thanks to Molnar Karoly
  * libgputils/gpprocessor.c: applied patch
    #3545975 - "Fix the coff_type differences of gpprocessor.c. II",
    thanks to Molnar Karoly

2012-07-18  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c: fixed bug
    #2876860 - "MOVFF should not allow indexed literal offsets"

2012-07-17  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c: applied patch gpprocessor.c-3.patch.tar.7z
    #3544649 - "Incorrect lines in the gpprocessor.c II.",
    thanks to Molnar Karoly

2012-07-16  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c: applied patch gpprocessor.c-2.patch.tar.7z
    #3544649 - "Incorrect lines in the gpprocessor.c II.",
    thanks to Molnar Karoly

2012-07-15  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c: applied patch
    #3544356 - "Incorrect lines in the gpprocessor.c",
    thanks to Molnar Karoly

2012-07-14  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c, lkr/16lf1786_g.lkr, lkr/16lf1787_g.lkr,
    lkr/16f1786_g.lkr, lkr/16f1787_g.lkr: applied patch
    #3543935 - "Correction of 16l?f178[67]_g.lkr and gpprocessor.c",
    thanks to Molnar Karoly
  * header/p18cxxx.inc: applied patch
    #3543963 - "Correction of p18cxxx.inc",
    thanks to Molnar Karoly
  
2012-07-13  Marko Kohtala  <marko.kohtala@gmail.com>
  * libgputils/gpcfg-table.c: Updated using scripts/tools/cfg-import.py
    to add configuration options for new parts from MPASM 5.46.

2012-07-10  Borut Razem  <borutr@users.sourceforge.net>
  * lkr/16f818_g.lkr, lkr/16f1513_g.lkr, lkr/16f1455_g.lkr,
    lkr/16lf1513_g.lkr, lkr/16lf1455_g.lkr, lkr/16f527_g.lkr,
    lkr/12lf1552_g.lkr, lkr/Makefile.am, lkr/Makefile.in,
    lkr/16f1459_g.lkr, lkr/16lf1459_g.lkr, header/p18f45k50.inc,
    header/p16lf1455.inc, header/p12f529t39a.inc, header/p12f529t48a.inc,
    header/p10f320.inc, header/p16f1784.inc, header/Makefile.am,
    header/p16lf1786.inc, header/p18f86j94.inc, header/p16f1455.inc,
    header/p16lf1512.inc, header/mcp250xx.inc, header/p18lf45k50.inc,
    header/p18f24k50.inc, header/p16lf1787.inc, header/p16lf1513.inc,
    header/p10f322.inc, header/p16f1786.inc, header/p10lf320.inc,
    header/p16f1512.inc, header/Makefile.in, header/p18f87j94.inc,
    header/p18f96j94.inc, header/p16f1787.inc, header/p16f1513.inc,
    header/p18f25k50.inc, header/p16lf1459.inc, header/p18lf24k50.inc,
    header/p12lf1552.inc, header/p10lf322.inc, header/p18f97j94.inc,
    header/p18f66j94.inc, header/p16f1459.inc, header/p18lf25k50.inc,
    header/p16f527.inc, header/p18f67j94.inc, header/p16lf1784.inc:
    applied patch #3541077 - "This a mplabx-1.3 based on update.",
    thanks to Molnar Karoly
  * libgputils/gpprocessor.c, doc/gputils.lyx, lkr/18f86j99_g.lkr,
    lkr/18f95j94_g.lkr, lkr/18f65j94_g.lkr, lkr/18f96j99_g.lkr,
    lkr/18f66j99_g.lkr, lkr/16f1454_g.lkr, lkr/18f85j94_g.lkr,
    lkr/16lf1454_g.lkr, header/p18f65j94.inc, header/p16f1454.inc,
    header/p18f86j99.inc, header/p16lf1454.inc, header/p18f85j94.inc,
    header/p18f96j99.inc, header/p18f95j94.inc, header/p18f66j99.inc:
    applied patch #3541079 - "New devices based on the mplabx-1.3",
    thanks to Molnar Karoly

2012-07-09  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/gplink.c, gputils/gpdasm.c, libgputils/gpreadobj.c,
    libgputils/gpprocessor.c, libgputils/gpprocessor.h, gpasm/gpasm.c,
    gpasm/directive.c, gpasm/processor.c, gpasm/evaluate.c,
    gpasm/coff.c, gpasm/coff.h:
    fixed bug #3539481 - Segmentation fault generating COFF file

2012-07-05  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c: added comment for devices not documented
    by Microchip: 18f2681, 18f4681, 18f64j15 and 18f84j15

2012-07-04  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c, lkr/*.lkr:
    lkr/*.lkr renamed to lkr/*_g.lkr, synchronized with MPLABx v1.20
  * 12f683_g.lkr, 16c505_g.lkr, 16c771_g.lkr, 16f636_g.lkr,
    16f639_g.lkr, 16f677_g.lkr, 16f684_g.lkr, 16f687_g.lkr,
    16f716_g.lkr, 16f737_g.lkr, 16f747_g.lkr, 16f767_g.lkr,
    16f777_g.lkr, 16f785_g.lkr, 16f818_g.lkr, 16f819_g.lkr,
    16f916_g.lkr, 16f917_g.lkr, 16f946_g.lkr, 16hv785_g.lkr,
    mcv08a_g.lkr, mcv14a_g.lkr, mcv18a_g.lkr, mcv28a_g.lkr,
    ps500_g.lkr, ps810_g.lkr: synchronized with MPLABx v1.20
  * header/Makefile.am, patching file header/Makefile.in,
    header/p16f5x.inc: applied the back-16f5x.inc.patch.tar.7z patch
    #3539517 - "Support of new CPUs.", thanks to Molnar Karoly
  * lkr/*.lkr: removed unneeded / obsolete lkr files
  * libgputils/gpprocessor.c:  added 16f722

2012-07-03  Borut Razem  <borutr@users.sourceforge.net>
  * header/p16c61.inc, header/p16c62.inc, header/p16c64.inc,
    header/p16c65.inc, header/p16c73.inc, header/p16c74.inc,
    header/p16c84.inc:
    applied patch #3539706 - "Supplement to incomplete inc files.",
    thanks to Molnar Karoly

2012-07-02  Borut Razem  <borutr@users.sourceforge.net>
  * header/p16f1508.inc, header/p16f1783.inc, header/p16f1787.inc,
    header/p18f4520.inc, header/p18f26j11.inc, header/p18f46j11.inc,
    header/p18f26j50.inc, header/p16lf1823.inc, header/p18f46j50.inc,
    header/p18f66j50.inc, header/p16f1509.inc, header/p16f1784.inc,
    header/p18f24j11.inc, header/p18f44j11.inc, header/p18f24j50.inc,
    header/p18f44j50.inc, header/p18lf25j11.inc, header/p18lf45j11.inc,
    header/p18lf25j50.inc, header/p18lf45j50.inc, header/p16lf1503.inc,
    header/p16lf1782.inc, header/p16lf1786.inc, header/p18f66j55.inc,
    header/p16f1823.inc, header/p12f629.inc, header/p18f67j50.inc,
    header/p18f4420.inc, header/p16lf1508.inc, header/p16lf1783.inc,
    header/p16lf1787.inc, header/p16f1503.inc, header/p16f1782.inc,
    header/p18f25j11.inc, header/p16f1786.inc, header/p18f45j11.inc,
    header/p18f25j50.inc, header/p18f45j50.inc, header/p18f65j50.inc,
    header/p18lf26j11.inc, header/p18lf46j11.inc, header/p18lf26j50.inc,
    header/p18lf46j50.inc, header/p18lf24j11.inc, header/p18lf44j11.inc,
    header/p18lf24j50.inc, header/p18lf44j50.inc, header/p16lf1509.inc,
    header/p16lf1784.inc:
    "Gputils Specific Revision History" comments surrounded with
    ";;;; Begin: Added in gputils - ;;;; End: Added in gputils" block
  * header/p18f442.inc, header/p16f724.inc, header/p16c773.inc,
    header/rf675f.inc, header/p16f883.inc, header/p16f767.inc,
    header/p18c858.inc, header/p16f876a.inc, header/p16f887.inc,
    header/p18f2220.inc, header/p16f1517.inc, header/p18f2580.inc,
    header/p18f8722.inc, header/p18f8525.inc, header/p18f6627.inc,
    header/p18f8680.inc, header/p18f6585.inc, header/p18f67j10.inc,
    header/p18f87j10.inc, header/rf509af.inc, header/p16f818.inc,
    header/p16f737.inc, header/p16lf1939.inc, header/p8a.inc,
    header/p16f873a.inc, header/p12f1840.inc, header/p18f4610.inc,
    header/p18f2550.inc, header/p16f1526.inc, header/p10f220.inc,
    header/p18f8410.inc, header/p18f2515.inc, header/p16f87.inc,
    header/p16f1847.inc, header/p12lf1822.inc, header/p18f6393.inc,
    header/p12c671.inc, header/p16lf1824.inc, header/p16f506.inc,
    header/p18f66j16.inc, header/p16lf1828.inc, header/p18f86j16.inc,
    header/p18f66j90.inc, header/p18f97j60.inc, header/p18lf14k50.inc,
    header/p18f86j90.inc, header/p16lf722.inc, header/p18f2520.inc,
    header/p16lf726.inc, header/p18f4221.inc, header/p16f1933.inc,
    header/p16f1458.inc, header/p18f8620.inc, header/p18f6722.inc,
    header/p16f1937.inc, header/p18f6525.inc, header/p18f25j10.inc,
    header/p18f6680.inc, header/p18f45j10.inc, header/p18f4585.inc,
    header/p18f65j10.inc, header/p16lf1516.inc, header/p18f8628.inc,
    header/p18f85j10.inc, header/p12f519.inc, header/p16f913.inc,
    header/p18f66j60.inc, header/p4a.inc, header/p18f86j60.inc,
    header/p16f871.inc, header/p16f917.inc, header/p18f2610.inc,
    header/p18f6410.inc, header/p18f4431.inc, header/p16f1826.inc,
    header/p16f1946.inc, header/p12lf1840.inc, header/p18f8390.inc,
    header/p18f4439.inc, header/p12c509a.inc, header/p18c252.inc,
    header/p16f721.inc, header/p18f242.inc, header/p12f683.inc,
    header/p18f64j90.inc, header/p16c774.inc, header/p18lf13k22.inc,
    header/p18f84j90.inc, header/p18c658.inc, header/p16f884.inc,
    header/rf675k.inc, header/p18f2221.inc, header/p18f1330.inc,
    header/p18f4320.inc, header/p16f1518.inc, header/p18f6620.inc,
    header/p18f4525.inc, header/p18f4680.inc, header/p18f2585.inc,
    header/p18f8723.inc, header/p12c508.inc, header/p18f26k20.inc,
    header/p18f6628.inc, header/p18f46k20.inc, header/p18f67j11.inc,
    header/p18f87j11.inc, header/p18f452.inc, header/p16lf1936.inc,
    header/rf509ag.inc, header/p16f819.inc, header/p16f777.inc,
    header/p16f877a.inc, header/p18f4410.inc, header/p18f2431.inc,
    header/p16f84a.inc, header/p16f1527.inc, header/p16f88.inc,
    header/p18f2439.inc, header/p18f6390.inc, header/p18f25k22.inc,
    header/p16lf1902.inc, header/p12c672.inc, header/p18f8493.inc,
    header/p18f45k22.inc, header/p12ce518.inc, header/p16lf1825.inc,
    header/p16lf1906.inc, header/p12ce673.inc, header/p16lf1829.inc,
    header/p16f747.inc, header/p16f874a.inc, header/p16lf723.inc,
    header/p18f2320.inc, header/p16lf727.inc, header/p18f4620.inc,
    header/p16f1455.inc, header/p18f4423.inc, header/p18f2525.inc,
    header/p16f1934.inc, header/p18f2680.inc, header/p16f1459.inc,
    header/p18f8621.inc, header/p18f6723.inc, header/p16f1938.inc,
    header/p18f24k20.inc, header/p18f14k22.inc, header/p18f13k50.inc,
    header/p18f44k20.inc, header/p18f65j11.inc, header/p16lf1517.inc,
    header/p18f85j11.inc, header/p18f65j15.inc, header/p16f914.inc,
    header/p18f85j15.inc, header/p16f872.inc, header/p8a.inc,
    header/p18f66j65.inc, header/p16f876.inc, header/p18f86j65.inc,
    header/p18f2410.inc, header/p10f200.inc, header/p10f204.inc,
    header/p16f1827.inc, header/p16f1947.inc, header/p18f23k22.inc,
    header/p18f6493.inc, header/p18f43k22.inc, header/p16lf1526.inc,
    header/p16f722.inc, header/p16f726.inc, header/p16lf1847.inc,
    header/rf675h.inc, header/p18f4321.inc, header/p18f2620.inc,
    header/p18f2423.inc, header/p16f1519.inc, header/p16hv540.inc,
    header/p18f6621.inc, header/p18f4480.inc, header/p18f8720.inc,
    header/p18f63j11.inc, header/p16c505.inc, header/p12c509.inc,
    header/p18f8527.inc, header/p18f83j11.inc, header/p18f4685.inc,
    header/p18f252.inc, header/p16lf1933.inc, header/p16lf1458.inc,
    header/p16lf1937.inc, header/p18f67j90.inc, header/p18f87j90.inc,
    header/p18f1220.inc, header/p18f4450.inc, header/p10f222.inc,
    header/p18f4458.inc, header/p18f4539.inc, header/p18f8490.inc,
    header/p18f66j10.inc, header/p16lf1903.inc, header/p12f508.inc,
    header/p18f86j10.inc, header/p16lf1826.inc, header/p16lf1907.inc,
    header/p12ce519.inc, header/p18f67j60.inc, header/p12ce674.inc,
    header/p16lf1946.inc, header/p18f87j60.inc, header/p16lf720.inc,
    header/p16lf724.inc, header/p18f2321.inc, header/p18f2480.inc,
    header/p18f6720.inc, header/p12hv609.inc, header/p18f8622.inc,
    header/p16f1939.inc, header/p18f6527.inc, header/p18f2685.inc,
    header/p18c801.inc, header/p18c442.inc, header/p16lf1518.inc,
    header/p18f65j90.inc, header/p18f96j60.inc, header/p16f873.inc,
    header/p18f85j90.inc, header/p18lf13k50.inc, header/p18lf14k22.inc,
    header/p16f877.inc, header/p18f4510.inc, header/p18f2450.inc,
    header/p18f8310.inc, header/p16f1824.inc, header/p18f24j10.inc,
    header/p16f1828.inc, header/p18f4553.inc, header/p18f44j10.inc,
    header/p18f2458.inc, header/p18f2539.inc, header/p18f6490.inc,
    header/p16lf1527.inc, header/p16f723.inc, header/p16f727.inc,
    header/p16f882.inc, header/p16f886.inc, header/p18f2420.inc,
    header/p16f1516.inc, header/p18f4523.inc, header/p18f8520.inc,
    header/p18f6622.inc, header/p18f4682.inc, header/p18f26k22.inc,
    header/p18f46k22.inc, header/p16lf1455.inc, header/p16lf1934.inc,
    header/p18f63j90.inc, header/p16lf1459.inc, header/p18f83j90.inc,
    header/p16lf1938.inc, header/p8a.inc, header/p18f2510.inc,
    header/p18f6310.inc, header/p18f4331.inc, header/p18f2553.inc,
    header/p18f4455.inc, header/p18f25k20.inc, header/p18f14k50.inc,
    header/p18f45k20.inc, header/p12f509.inc, header/p16f505.inc,
    header/p18f66j11.inc, header/p16lf1904.inc, header/p18f86j11.inc,
    header/p18f66j15.inc, header/p16lf1827.inc, header/p18f86j15.inc,
    header/p16lf1947.inc, header/p16f946.inc, header/p16lf721.inc,
    header/p18f1230.inc, header/p18f4220.inc, header/p18f2523.inc,
    header/p18f6520.inc, header/p12f510.inc, header/p16f1936.inc,
    header/p18f4580.inc, header/p18f2682.inc, header/p18c601.inc,
    header/p18f24k22.inc, header/p18c242.inc, header/p12c508a.inc,
    header/p18f44k22.inc, header/p18f8627.inc, header/p16lf1519.inc,
    header/p18f8585.inc, header/p16f870.inc, header/p16f916.inc,
    header/p16f874.inc, header/p18f96j65.inc, header/p18f1320.inc,
    header/p12f1822.inc, header/p18f2331.inc, header/p10f202.inc,
    header/p16f1825.inc, header/p12hv615.inc, header/p18f4550.inc,
    header/p18f4515.inc, header/p10f206.inc, header/p18f2455.inc,
    header/p18f23k20.inc, header/p16f1829.inc, header/p18f13k22.inc,
    header/p18f43k20.inc, header/p18f64j11.inc, header/p18f8393.inc,
    header/p16f720.inc, header/p18f84j11.inc, header/p18c452.inc:
    applied patch #3539456 - "Update the inc files.",
    thanks to Molnar Karoly
  * header/p10f320.inc, header/p10f322.inc, header/p10lf320.inc,
    header/p10lf322.inc, header/p12f1501.inc, header/p12f520.inc,
    header/p12f529t39a.inc, header/p12f529t48a.inc, header/p12f617.inc,
    header/p12f752.inc, header/p12hv752.inc, header/p12lf1501.inc,
    header/p12lf1552.inc, header/p12lf1840t39a.inc, header/p12lf1840t48a.inc,
    header/p16f1512.inc, header/p16f1513.inc, header/p16f527.inc,
    header/p16f54.inc, header/p16f57.inc, header/p16f59.inc,
    header/p16f707.inc, header/p16f722a.inc, header/p16f723a.inc,
    header/p16lf1512.inc, header/p16lf1513.inc, header/p16lf707.inc,
    header/p16lf722a.inc, header/p16lf723a.inc, header/p18f14k22lin.inc,
    header/p18f24k50.inc, header/p18f25k50.inc, header/p18f25k80.inc,
    header/p18f26j13.inc, header/p18f26j53.inc, header/p18f26k80.inc,
    header/p18f27j13.inc, header/p18f27j53.inc, header/p18f45k50.inc,
    header/p18f45k80.inc, header/p18f46j13.inc, header/p18f46j53.inc,
    header/p18f46k80.inc, header/p18f47j13.inc, header/p18f47j53.inc,
    header/p18f65k22.inc, header/p18f65k80.inc, header/p18f65k90.inc,
    header/p18f66j93.inc, header/p18f66j94.inc, header/p18f66k22.inc,
    header/p18f66k80.inc, header/p18f66k90.inc, header/p18f67j93.inc,
    header/p18f67j94.inc, header/p18f67k22.inc, header/p18f67k90.inc,
    header/p18f85k22.inc, header/p18f85k90.inc, header/p18f86j72.inc,
    header/p18f86j93.inc, header/p18f86j94.inc, header/p18f86k22.inc,
    header/p18f86k90.inc, header/p18f87j72.inc, header/p18f87j93.inc,
    header/p18f87j94.inc, header/p18f87k22.inc, header/p18f87k90.inc,
    header/p18f96j94.inc, header/p18f97j94.inc, header/p18lf23k22.inc,
    header/p18lf24j10.inc, header/p18lf24k22.inc, header/p18lf24k50.inc,
    header/p18lf25j10.inc, header/p18lf25k22.inc, header/p18lf25k50.inc,
    header/p18lf25k80.inc, header/p18lf26j13.inc, header/p18lf26j53.inc,
    header/p18lf26k22.inc, header/p18lf26k80.inc, header/p18lf27j13.inc,
    header/p18lf27j53.inc, header/p18lf43k22.inc, header/p18lf44j10.inc,
    header/p18lf44k22.inc, header/p18lf45j10.inc, header/p18lf45k22.inc,
    header/p18lf45k50.inc, header/p18lf45k80.inc, header/p18lf46j13.inc,
    header/p18lf46j53.inc, header/p18lf46k22.inc, header/p18lf46k80.inc,
    header/p18lf47j13.inc, header/p18lf47j53.inc, header/p18lf65k80.inc,
    header/p18lf66k80.inc, lkr/10f320_g.lkr, lkr/10f322_g.lkr,
    lkr/10lf320_g.lkr, lkr/10lf322_g.lkr, lkr/12f1501_g.lkr,
    lkr/12f520_g.lkr, lkr/12f529t39a_g.lkr, lkr/12f529t48a_g.lkr,
    lkr/12f617_g.lkr, lkr/12f752_g.lkr, lkr/12hv752_g.lkr,
    lkr/12lf1501_g.lkr, lkr/12lf1552_g.lkr, lkr/12lf1840t39a_g.lkr,
    lkr/12lf1840t48a_g.lkr, lkr/16f1512_g.lkr, lkr/16f1513_g.lkr,
    lkr/16f527_g.lkr, lkr/16f54_g.lkr, lkr/16f57_g.lkr,
    lkr/16f59_g.lkr, lkr/16f707_g.lkr, lkr/16f722a_g.lkr,
    lkr/16f723a_g.lkr, lkr/16lf1512_g.lkr, lkr/16lf1513_g.lkr,
    lkr/16lf707_g.lkr, lkr/16lf722a_g.lkr, lkr/16lf723a_g.lkr,
    lkr/18f14k22lin_g.lkr, lkr/18f24k50_g.lkr, lkr/18f25k50_g.lkr,
    lkr/18f25k80_g.lkr, lkr/18f26j13_g.lkr, lkr/18f26j53_g.lkr,
    lkr/18f26k80_g.lkr, lkr/18f27j13_g.lkr, lkr/18f27j53_g.lkr,
    lkr/18f45k50_g.lkr, lkr/18f45k80_g.lkr, lkr/18f46j13_g.lkr,
    lkr/18f46j53_g.lkr, lkr/18f46k80_g.lkr, lkr/18f47j13_g.lkr,
    lkr/18f47j53_g.lkr, lkr/18f65k22_g.lkr, lkr/18f65k80_g.lkr,
    lkr/18f65k90_g.lkr, lkr/18f66j93_g.lkr, lkr/18f66j94_g.lkr,
    lkr/18f66k22_g.lkr, lkr/18f66k80_g.lkr, lkr/18f66k90_g.lkr,
    lkr/18f67j93_g.lkr, lkr/18f67j94_g.lkr, lkr/18f67k22_g.lkr,
    lkr/18f67k90_g.lkr, lkr/18f85k22_g.lkr, lkr/18f85k90_g.lkr,
    lkr/18f86j72_g.lkr, lkr/18f86j93_g.lkr, lkr/18f86j94_g.lkr,
    lkr/18f86k22_g.lkr, lkr/18f86k90_g.lkr, lkr/18f87j72_g.lkr,
    lkr/18f87j93_g.lkr, lkr/18f87j94_g.lkr, lkr/18f87k22_g.lkr,
    lkr/18f87k90_g.lkr, lkr/18f96j94_g.lkr, lkr/18f97j94_g.lkr,
    lkr/18lf23k22_g.lkr, lkr/18lf24j10_g.lkr, lkr/18lf24k22_g.lkr,
    lkr/18lf24k50_g.lkr, lkr/18lf25j10_g.lkr, lkr/18lf25k22_g.lkr,
    lkr/18lf25k50_g.lkr, lkr/18lf25k80_g.lkr, lkr/18lf26j13_g.lkr,
    lkr/18lf26j53_g.lkr, lkr/18lf26k22_g.lkr, lkr/18lf26k80_g.lkr,
    lkr/18lf27j13_g.lkr, lkr/18lf27j53_g.lkr, lkr/18lf43k22_g.lkr,
    lkr/18lf44j10_g.lkr, lkr/18lf44k22_g.lkr, lkr/18lf45j10_g.lkr,
    lkr/18lf45k22_g.lkr, lkr/18lf45k50_g.lkr, lkr/18lf45k80_g.lkr,
    lkr/18lf46j13_g.lkr, lkr/18lf46j53_g.lkr, lkr/18lf46k22_g.lkr,
    lkr/18lf46k80_g.lkr, lkr/18lf47j13_g.lkr, lkr/18lf47j53_g.lkr,
    lkr/18lf65k80_g.lkr, lkr/18lf66k80_g.lkr: added
    ChangeLog, doc/gputils.lyx, header/Makefile.am, header/Makefile.in,
    header/p18cxxx.inc, libgputils/gpprocessor.c, lkr/Makefile.am,
    lkr/Makefile.in: modified
    header/p16f5x.inc: removed
    applied patch #3539517 - "Support of new CPUs.",
    thanks to Molnar Karoly

2012-07-01  Borut Razem  <borutr@users.sourceforge.net>
  * p16c622.inc, p16cr84.inc, p16f616.inc, p16ce623.inc, p16f690.inc,
    p16c64.inc, p16c65b.inc, p16c712.inc, p16c554.inc, p16c716.inc,
    p16c558.inc, p16c62b.inc, p16c73.inc, p16c74b.inc, p16c77.inc,
    p16c621a.inc, p16cr63.inc, p16f677.inc, p16c63a.inc, p16cr72.inc,
    p16c72a.inc, p16f73.inc, p16f77.inc, p16c662.inc, p16ce624.inc,
    p16c61.inc, p16c65.inc, p16f785.inc, p16c74.inc, p16cr64.inc,
    p16f631.inc, p12f635.inc, p16c923.inc, p16c765.inc, p16f639.inc,
    p16hv616.inc, p16c622a.inc, p12f609.inc, p16f687.inc, p16c64a.inc,
    p16f74.inc, p16c620.inc, p16f610.inc, p16ce625.inc, p16f627a.inc,
    p16c62.inc, p16c73a.inc, p16c66.inc, p16f83.inc, p16c710.inc,
    p16f627.inc, p16f648a.inc, p16c71.inc, p16c642.inc, p16cr65.inc,
    p16c924.inc, p16f636.inc, p16c84.inc, p16c621.inc, p12f615.inc,
    p16cr83.inc, p16hv785.inc, p16c745.inc, p16c63.inc, p16c65a.inc,
    p16c73b.inc, p16c67.inc, p16f84.inc, p16c620a.inc, p16c711.inc,
    p16c433.inc, p16c715.inc, p16c557.inc, p16f628.inc, p16f628a.inc,
    p16c62a.inc, p16c72.inc, p16c74a.inc, p16c76.inc, p16cr62.inc,
    p16hv610.inc, p16f526.inc, p16f685.inc, p16f689.inc, p16f72.inc,
    p16f76.inc: applied patch #3539160 - Bugfix of some INC files. (2)

2012-06-30  Borut Razem  <borutr@users.sourceforge.net>
  * header/p18lf26j11.inc, header/p18lf46j11.inc,
    header/p18lf26j50.inc, header/p18lf46j50.inc,
    header/p18f26j11.inc, header/p18f46j11.inc,
    header/p18f26j50.inc, header/p18f46j50.inc,
    header/p18f66j50.inc, header/p18f86j50.inc,
    header/p18lf24j11.inc, header/p18lf44j11.inc,
    header/p18lf24j50.inc, header/p18lf44j50.inc,
    header/p18f24j11.inc, header/p18f44j11.inc,
    header/p18f24j50.inc, header/p18f44j50.inc,
    header/p18f4420.inc, header/p18f66j55.inc,
    header/p18f86j55.inc, header/p18f67j50.inc,
    header/p18f87j50.inc, header/p18lf25j11.inc,
    header/p18lf45j11.inc, header/p18lf25j50.inc,
    header/p18lf45j50.inc, header/p18f4520.inc,
    header/p18f25j11.inc, header/p18f45j11.inc,
    header/p18f25j50.inc, header/p18f45j50.inc,
    header/p18f65j50.inc, header/p18f85j50.inc:
    applied patch #3538038 - Bugfix of some INC files.,
    thanks to Karoly Molnar
  * libgputils/gpprocessor.c, doc/gputils.lyx, lkr/16lf1786_g.lkr,
    lkr/16f1786_g.lkr, lkr/16lf1787_g.lkr, lkr/16f1787_g.lkr,
    lkr/16lf1784_g.lkr, lkr/16f1784_g.lkr, header/p16f1784.inc,
    header/p16lf1784.inc, header/p16f1786.inc, header/p16lf1786.inc,
    header/p16f1787.inc, header/p16lf1787.inc, header/Makefile.in,
    header/Makefile.am:
    applied patch #3538057 - New processors -- pic16(l)f178{4,6,7},
    thanks to Karoly Molnar

2012-06-21  Borut Razem  <borutr@users.sourceforge.net>
  * p12f629.inc, p16f1503.inc, p16f1508.inc, p16f1509.inc. p16f1782.inc,
    p16f1783.inc, p16f1823.inc, p16lf1503.inc, p16lf1508.inc,
    p16lf1509.inc, p16lf1782.inc, p16lf1783.inc, p16lf1823.inc:
    synchronized with MPLABx 1.20,
    aplied gputils specific modifications,
    applied patch #3536090 - This is the patch fixes some INC files.,
    thanks to Karoly Molnar
  * p12f675.inc, p16c432.inc, p16c717.inc, p16c770.inc, p16c771.inc,
    p16c781.inc, p16c782.inc, p16c925.inc, p16c926.inc, p16f1507.inc,
    p16f630.inc, p16f676.inc, p16f684.inc, p16f688.inc, p16f716.inc,
    p16lf1507.inc, p18f248.inc, p18f258.inc, p18f448.inc, p18f458.inc:
    synchronized with MPLABx 1.20,
    applied patch #3536090 - This is the patch fixes some INC files.,
    thanks to Karoly Molnar

2012-06-17  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/cod.c, gplink/cod.c, gputils/block.c, gputils/block.h,
    gputils/dump.c, gputils/gpvc.c, libgputils/gpcod.c,
    libgputils/gpcod.h:
    fixed bug #3526915 - Wrong crossreferences in the COD file.

2012-06-16  Borut Razem  <borutr@users.sourceforge.net>
  * gputils/dump.c: added missing newline in dump_code()
  * gpasm/lst.c: fixed bug #3535498 - long vs. int format

2012-06-13  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/cod.c, gplink/cod.c, gputils/block.c, gputils/block.h,
    gputils/dump.c, gputils/dump.h, gputils/gpvc.c, libgputils/gpcod.h:
    gpvc: support for multiple dir info blocks in cod file

2012-06-12  Borut Razem  <borutr@users.sourceforge.net>
  * gputils/block.c, gputils/block.h, gputils/gpvc.c:
    read_directory() returns pointer to DirBlockInfo

2012-06-11  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/cod.c, gplink/cod.c, gputils/block.c:
    fixed: COD_DIR_ADDRSIZE is byte
  * gputils/dump.c, gputils/gpvc.c, gputils/gpvc.h.in:
    removed directory_block_data, replaced by main_dir.dir.block
  * gputils/dump.c, libgputils/gpcod.h:
    dump_line_symbols() - access by offsets instead by struct members
  * gpasm/cod.c, gplink/cod.c, gputils/block.c, gputils/dump.c,
    gputils/gpvc.c, gputils/gpvc.h.in:
    main_dir is a pointer to DirBlockInfo

2012-06-10  Borut Razem  <borutr@users.sourceforge.net>
  * doc/gputils.lyx, configure.ac, configure: version changed to 0.14.2

2012-05-08  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpcofflink.c, libgputils/gpmessage.c:
    fixed bug #3153394: PIC18 - relative branch - revision v595:
    added warning for odd target address to the linker

2012-05-25  Borut Razem  <borutr@users.sourceforge.net>
  * doc/Makefile.am, doc/Makefile.in:
    force copying gputils.lyx if out-of-source-tee

2012-05-24  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c:
    really fixed bug #3529152 - idata db doesn't generate object code in .lst file
  * doc/Makefile.am, doc/Makefile.in:
    fixed bug #3529377 - Out-of-source-tree make dist fails

2012-05-23  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/gplink.c: fixed typo
  * gpasm/lst.c:
    fixed bug #3529152 - idata db doesn't generate object code in .lst file
  * gpasm/testsuite/gpasm.project/hexfiles/*.hex:
    set svn:eol-style to native

2012-05-22  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c:
    fixed bug #3528790 - misleading warn of gplink

2012-05-19  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/gperror.c: ixed bug #3528221 -
    gpasm generates the pagesel code for one page devices,
    generate relocation code for movlp instruction
  * gpasm/testsuite/gpasm.project/objasm/op14e.asm,
    gpasm/testsuite/gpasm.project/objfiles/op14e.o:
    added objfiles regression test for pic 14 bit enhanced devices

2012-05-16  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/Makefile.am, gplink/Makefile.am, gputils/Makefile.am:
    fixed bug #3517180 - Out-of-source-tree builds fail,
    thanx to Raphael Neider for the patfch
  * gpasm/Makefile.in, gplink/Makefile.in, gputils/Makefile.in:
    regenerated

2012-05-15  Marko Kohtala  <marko.kohtala@gmail.com>
  * libgputils/gpcofflink.c (gp_cofflink_patch_addr): Bug #3526882 fix
  relocation of RELOCT_BRA for pic14e.
  * gpasm/directive.c (do_insn): Bug #3526882 fix use of RELOCT_CONDBRA in
  place of RELOCT_BRA for pic14e "bra" instruction.

2012-04-27  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/cod.c (cod_write_symbols): Fix bug #3521796 reverting a change
  from revision 572.

2012-04-21  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/lst.c:
    fixed bug #3519850 - gplink fails to find source - patch attached
  * include/stdhdr.h: updated copyright year

2012-04-20  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpopcode.c: fixed bug #3519667 - gpdasm fails to decove
    movlb on pic16f enhanced midrange
  * gputils/testsuite/test: fixed for sh

2012-03-14  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gpasm.c, libgputils/gpwriteobj.c, libgputils/gpwriteobj.h:
    implemented enhancement request #3504111 - Generate coff file in
    absolute mode: added function gp_is_absolute_object() which detects
    if the object is absolute and set F_ABSOLUTE coff file headr flag

2012-03-12  Borut Razem  <borutr@users.sourceforge.net>
  * 16c58a_g.lkr, 16cr58b_g.lkr, 16f1507_g.lkr:
    MPLAB X IDE v1.10, mpasmx 5.42

2012-03-04  Borut Razem  <borutr@users.sourceforge.net>
  * gputils/gpdasm.c:
    applied patch #3496780: Typo in gpdasm help message
    thanks to Alain Portal
  * man/gpdasm.1.in, man/gpvo.1.in, man/gplib.1.in, man/gpvc.1.in,
    man/fr/gpdasm.1.in, man/fr/gpvo.1.in, man/fr/gplib.1.in,
    man/fr/gpvc.1.in, man/fr/gplink.1.in, man/fr/gpasm.1.in,
    man/fr/gputils.1.in, man/fr/gpstrip.1.in, man/gplink.1.in,
    man/gpasm.1.in, man/gputils.1.in, man/gpstrip.1.in:
    applied patch #3496782: Update man pages
    thanks to Alain Portal

2012-03-02  Borut Razem  <borutr@users.sourceforge.net>
  * get_cl_revision.sh:
    use tail in non POSIX mode for Solaris copatibility

2012-02-29  Borut Razem  <borutr@users.sourceforge.net>
  * get_cl_revision.sh:
    added utility to extract source control revision number from ChangeLog
  * Makefile.am, Makefile.in,
    gputils/Makefile.am, gputils/Makefile.in,
    gplink/Makefile.am, gplink/Makefile.in,
    gpasm/Makefile.am, gpasm/Makefile.in: build *.h from *.h.in
  * gpasm/gpasm.h, gplink/gplink.h, gputils/gpdasm.h, gputils/gplib.h,
    gputils/gpstrip.h, gputils/gpvc.h, gputils/gpvo.h:
    renamed to *.h.in, added source control revision number to --version

2012-02-26  Borut Razem  <borutr@users.sourceforge.net>
  * doc/gputils.lyx: added 16f720, 16lf720, 16f721, 16lf721 to the list

2012-02-25  Borut Razem  <borutr@users.sourceforge.net>
  * header/Makefile.sh: let replaced with expr
  * header/Makefile.am, header/Makefile.in: regenarated;
    thanks to Raphael Neider.
  * gpasm/scan.l: flex 2.5.35 or newer required

2012-02-25  Borut Razem  <borutr@users.sourceforge.net>
  * lkr/*.lkr, header/*.inc: fixed *.inc and *.lkr files svn properties

2012-02-24  Borut Razem  <borutr@users.sourceforge.net>
  * lkr/Makefile.sh: let replaced with expr
  * lkr/Makefile.am, lkr/Makefile.in: regenarated,
    fixed bug #3487822: Error during compiling the source of gputils
  * libgputils/gpprocessor.c, header/p16lf720.inc, header/p16lf721.inc,
    header/p16f720.inc, header/p16f721.inc,
    lkr/16f720_g.lkr, lkr/16lf720_g.lkr,
    lkr/16f721_g.lkr, lkr/16lf721_g.lkr: added

2012-01-01  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c, lkr/*:
    sync existing 10x, 12x and changed 16x devices with
    MPLAB X IDE v1.00, mpasmx 5.42

2012-01-01  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpwriteobj.c, gpasm/directive.c:
    fixed .dim directive handling
  * gpasm/testsuite/gpasm.project/objfiles/dim.o:
    updated for Microchip COFF version 2
  * doc/gputils.lyx: fixed .dim length depending on COFF cersion

2011-12-31  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c, libgputils/gpmemory.c, libgputils/gpmemory.h:
    properly count program memory usage: exclude config words for
    non-pic16 devices
  * gpasm/evaluate.c: untabification
  * gpasm/coff.c: don't emit undefined config words id they are outside
    the defined block; mask emitted config words with core_size. This
    probably fixes the bug #3373747: gpasm/gplink not working for
    pic16f88 since 0.13.5
  * gpasm/directive.c: removed unnecessary returns
  * gpasm/gpasm.c, doc/gputils.lyx:
    use the new Microchip COFF format by default
  * libgputils/gpprocessor.h, gpasm/directive.c, gpasm/parse.y,
    gpasm/lst.c, gpasm/processor.c, gpasm/evaluate.c, gpasm/coff.c:
    _16bit_core replaced by IS_16BIT_CORE
  * doc/gputils.lyx, gpasm/gperror.c, gpasm/gperror.h:
    updated errors, warnings and messages

2011-12-28  Borut Razem  <borutr@users.sourceforge.net>
  * include/stdhdr.h, gputils/gpvo.c, libgputils/gpcoff.h,
    libgputils/gpreadobj.c: gpvo shows additional info:
    COFF version, section header Virtual address
  * gputils/block.c: fixed warning: variable set but not used

2011-12-27  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c, gpasm/gpasm.c, gpasm/directive.c, gpasm/gperror.c,
    gpasm/gpasm.h: make listing more compatible with MPASM
  * gplink/script.c, gputils/gpvc.c, gputils/dump.c, gputils/block.c,
    libgputils/gpmemory.c, libgputils/gpcofflink.h:
    fixed warnings: variable set but not used
  * gpasm/parse.y: fixed identation

2011-12-24  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/parse.y, gpasm/gpasm.c, gpasm/gpasm.h, gpasm/directive.c,
    gpasm/scan.h, gpasm/scan.l:
    proper "end" line handling, include the "end" line in the asm listing

2011-12-18  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gpasm.h, gpasm/directive.c, gpasm/special.c, libgputils/gpopcode.h:
    added "doer" field to insn structure, get rid of ugly "opcode" field abuse
    for the doer function pointer

2011-12-11  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/deps.c: fixed bug #2911936: gpasm removes *.d files while compiling
  * gpasm/gpasm.c: fixed crash in absolute mode
  * libgputils/gpcoff.h, gputils/gpvo.c: added F_ABSOLUTE COFF flag

2011-12-10  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, gpasm/gperror.c, gpasm/gperror.h:
    fixed bug #3153394: PIC18 - relative branch - revision v595:
    added warning for odd target address;
    code generated for odd target address is now equal to the code 
    generated by MPASM
  * gpasm/gpasm.c, libgputils/gpcoff.h, gputils/gpvo.c:
    fixed bug #3310962: gpasm extended mode -- MPLAB message:
    added F_EXTENDED18 COFF flag if 18xx extended mode enabled
  * gpasm/lst.c: fixed bug #2831194: Column formatting in gpasm lst files
  * gplink/map.c: fixed bug #3434584: [PIC16F] Incorrect data in MAP file

2011-12-08  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c: corrected coff_type for __16CR54C

2011-12-04  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/gpasm.h, gplink/gplink.h, gputils/gpdasm.h, gputils/gplib.h,
    gputils/gpstrip.h, gputils/gpvc.h, gputils/gpvo.h:
    added build date to --version
  * gplink/lst.c, libgputils/gpdis.c, libgputils/gpdis.h, libgputils/gpmemory.c,
    libgputils/gpmemory.h:
    fixed bug #3437346: Information missing from list file

2011-11-21  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, libgputils/gpopcode.c, libgputils/gpopcode.h,
    libgputils/gpdis.c:
    fixed bug #3440413: gpasm fails to build gpsim test cases

2011-11-20  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/lst.c: fixed bug #3437346: Information missing from list file
  * include/stdhdr.h: updated GPUTILS_COPYRIGHT_STRING

2011-11-18  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpcofflink.c:
    fixed first part of bug #3439778: gplink fails to allocate sections

2011-11-12  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c, libgputils/gpdis.c: fixed compilation warnings
  * libgputils/gpcofflink.c: fixed bug #3435767: gplink segfaults

2011-11-12  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c, doc/gputils.lyx:
    added support for pic 14 bit enhanced devices supported by mpasmx 5.42,
    thanks to Gal Zsolt.
  * libgputils/gpprocessor.c, header/p12f683.inc, lkr/12f683_g.lkr,
    lkr/Makefile.am, lkr/Makefile.in:
    fixed bug #2822266: TMR1GE bit missing for T1CON on 12f683
    12f683 lkr and inc files updated to mpasmx 5.42 version

2011-11-11  Borut Razem  <borutr@users.sourceforge.net>
  * doc/gputils.lyx, configure.ac, configure: version changed to 0.14.1
  * doc/gputils.lyx: listed all enhanced 14 bit devices supported by MPASM 5.43

2011-11-10  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/coff.c, libgputils/gpwriteobj.c: SHADOW support fixes
  * gplink/script.c: shadow option re-enabled

2011-11-08  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpprocessor.c:
    added support for all pic 14 bit enhanced devices supported by MPASM 5.43,
    thanks to Gal Zsolt.
  * gplink/script.c: shadow option temporarily disabled

2011-10-28  Borut Razem  <borutr@users.sourceforge.net>
  * gputils/gpdasm.c, libgputils/gpopcode.c, libgputils/gpopcode.h,
    libgputils/gpprocessor.c, libgputils/gpprocessor.h:
    introduced --strict gpdasm command line option
  * doc/gputils.lyx: documented --strict gpdasm command line option
  * gpasm/testsuite/test:
    added disassemble and reassemble the assembled hex file test

2011-10-28  Borut Razem  <borutr@users.sourceforge.net>
  * gputils-0.14.0 released

2011-10-28  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpdis.c: fixed INSN_CLASS_LIT20 and movwi, moviw disassembly
  * libgputils/gpreadhex.c: fixed reading inhx32 segment line

2011-10-24  Borut Razem  <borutr@users.sourceforge.net>
  * README, gplink/gplink.h, gputils/gplib.h, gputils/gpvc.h, gputils/gpdasm.h,
    gputils/gpvo.h, gputils/gpstrip.h, gpasm/gpasm.h:
    gputils is not ALPHA nor BETA software any more ;-)
  * AUTHORS: added Borut, '@' replaced with '.AT.'
  * doc/gputils.lyx, configure.ac, configure: version changed to 0.14.0
  * libgputils/gpcofflink.c: fixed typo
  * libgputils/gpdis.c, libgputils/gpprocessor.c: implemented disassembler for
    pic14 enhanced instruction set

2011-10-23  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c, libgputils/gpcofflink.c: fixed bug #3427278:
    BANKSEL is broken on PIC16F1936 in certain cases
  * gpasm/directive.c, libgputils/gpcoff.h, libgputils/gpcofflink.c,
    libgputils/gpprocessor.c: fixed bug #3376246: differs on second pass

2011-10-16  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/script.c, libgputils/gpcoffgen.c, libgputils/gpcoff.h,
    libgputils/gpreadobj.c, libgputils/gpcofflink.c, libgputils/gpcofflink.h:
    implemeted SHADOW
  * doc/gputils.lyx: aded chapter "14 Bit Devices Enhanced Instruction Set"

2011-10-09  Marko Kohtala  <marko.kohtala@gmail.com>
  * libgputils/gpreadobj.c (gp_read_file): Revert previous change in
  determining file size as it does not compile.

2011-10-02  Borut Razem  <borutr@users.sourceforge.net>
  * gplink/script.c, libgputils/gpreadobj.c, libgputils/gpcofflink.h:
    added LINEARMEM and SHADOW lkr support (currently merely ignored)

2011-09-29  Borut Razem  <borutr@users.sourceforge.net>
  * header/p18f13k22.inc, header/p18f14k22.inc, header/p18f87j11.inc:
    updated from MPASM v5.42; fixed bugs:
    #3401813: corrected header files
    and #3343718: Pic18F13k22 header file
  * ylwrap: added to svn

2011-09-28  Borut Razem  <borutr@users.sourceforge.net>
  * libgputils/gpopcode.c: added reset pic14e enhanced instruction
  * gpasm/testsuite/gpasm.project/asmfiles/op14e.asm,
    gpasm/testsuite/gpasm.project/hexfiles/op14e.hex,
    gpasm/testsuite/gpasm.project/listfiles/op14e.lst:
    added reset pic14e enhanced instruction regression test
  * header/Makefile.am, lkr/Makefile.am, libgputils/Makefile.am,
    libgputils/gpprocessor.c, header/p12f1822.inc, lkr/12f1822_g.lkr:
    applied modified patch #3375989: Add support for 12f1822,
    thanks Richard Hodges
  * Makefile.in, gplink/Makefile.in, libiberty/Makefile.in, gputils/Makefile.in,
    header/Makefile.in, lkr/Makefile.in, doc/Makefile.in, gpasm/Makefile.in,
    man/Makefile.in, man/fr/Makefile.in, libgputils/Makefile.in,
    aclocal.m4, configure: regenerated
  * doc/gputils.lyx: added p12f1822

2011-09-26  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c: fixed regtest failures: res directive in absolute mode
  * gpasm/testsuite/gpasm.mchip/hexfiles/res1.hex,
    gpasm/testsuite/gpasm.mchip/listfiles/res1.lst: regenerated with MPASM 5.42
    gpasm/testsuite/gpasm.project/asmfiles/data2.asm:
    use processor 16f84 instead 16c84 since 16c84 is unknown in MPASM 5.42
  * gpasm/testsuite/gpasm.project/listfiles/data1.lst,
    gpasm/testsuite/gpasm.project/listfiles/data2.lst,
    gpasm/testsuite/gpasm.project/listfiles/data3.lst: regenerated
  * gpasm.mchip/asmfiles/szee16.asm:
    fixed regression test gpasm.mchip/asmfiles/szee16.asm failure

2011-09-25  Borut Razem  <borutr@users.sourceforge.net>
  * gpasm/directive.c: pic14e bug fixes,
    proper fix for patch #3375990: Ugly fix for moviw and movwi
  * gpasm/testsuite/gpasm.project/asmfiles/op14e.asm,
    gpasm/testsuite/gpasm.project/hexfiles/op14e.hex,
    gpasm/testsuite/gpasm.project/listfiles/op14e.lst:
    pic14 enhanced instruction set regression test
  * configure, configure.ac, man/*.in, man/fr/*.in:
    generate *.1 manual pages from *.1.in files

2011-08-05  Marko Kohtala  <marko.kohtala@gmail.com>
  * Patch #3314801 by strobla to add new parts to documentation.

2011-06-09  Marko Kohtala  <marko.kohtala@gmail.com>
  * Add to gplink option -u and linker script directives #DEFINE, #IFDEF,
  #ELSE, #FI and ERROR.

2011-06-03  Marko Kohtala  <marko.kohtala@gmail.com>
  * Patch #3302490 by strobla. Fix for header/p18cxxx.inc to include new
  headers.
  * Patch #3308670 by Peter Heinrich to fix patch #3307321 and add test
  cases.

2011-05-26  Marko Kohtala  <marko.kohtala@gmail.com>
  * Patch #3307321 by Peter Heinrich. Adds support for PIC18 access_ovr and idata_acs directives.
  * Patch #3302490 by strobla. Add support for pic18f2xk22 / pic18f4xk22 family.

2010-11-28  Marko Kohtala  <marko.kohtala@gmail.com>
  * libgputils/gpcofflink.c (gp_cofflink_patch_addr): Fix typo in
  RELOCT_IBANKSEL. Fixes bug #3120845.

2010-11-23  Marko Kohtala  <marko.kohtala@gmail.com>
  * libgputils/gpcofflink.c (gp_cofflink_merge_sections): Fix symbol
  adjustments when merging sections. Fixes bug #3109409.

2010-11-21  Marko Kohtala  <marko.kohtala@gmail.com>
  * gplink/gplink.c (process_args): Applied patch by Kip in bug #3113064
  to fix segv when bad filename is given on command line.

2010-11-20  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/directive.c (do_res): Fix RES directive for PIC16E object
  files. Fixes bug #3113459.
  * libgputils/gpreadobj.c (_read_opt_header): Fix assigning processor for
  EEPROM16.
  * gputils/gpvo.c (print_data): Fix printing data for EEPROMs.
  * libgputils/gpprocessor.c (pics): Add EEPROM16.

2010-11-18  Marko Kohtala  <marko.kohtala@gmail.com>

  * gpasm/evaluate.c (add_reloc, evaluate): Fix $ value in idata section.
  * libgputils/gpcofflink.c (_create_rom_section): Initialize the padding
  byte that is added to make initialization data rom section size even
  bytes.
  (gp_add_cinit_section): Fix .cinit rom addresses.

2010-11-14  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/cod.c (write_cod_range_block): Fix
  gpasm/testsuite/gpasm.project/asmfiles/tb.asm compilation assertion
  error.

2010-11-13  Marko Kohtala  <marko.kohtala@gmail.com>
  * Patch #2970413 by Marco Mattila merged for partial pic16e support.
  * gpasm/macro.c (make_macro_buffer): Fix uninitialized variable.
  * gputils/gpvo.c (print_sym_table): Fix symbol values.
  * libgputils/gpcofflink.c (gp_cofflink_update_table): Bug #3094297 fix
  to adjust symbol value by org rather than byte.

2010-11-12  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/directive.c (checkwrite, emit_byte): Fix maxrom and badrom
  checks. Fixes #3107775.
  * libgputils/gpprocessor.c (pics): Fix eeprom memories for 16f627a,
  16f628a, 16f84a and memory sizes for 17c42 and 17c42a.

2010-11-03  Marko Kohtala  <marko.kohtala@gmail.com>
  * gputils/gpvo.c (print_data): Fix to not hang on STYP_ACTREC.
  * gpasm/testsuite/gpasm.project/asmfiles/pagesel?.asm,
  gplink/testsuite/gplink.project/asmfiles/reloc1*.asm: Add test cases for
  pagesel $ in different pages. Compiled reference .hex files with mpasm
  5.34.

2010-10-18  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/directive.c (do_page): Do not start new page if in NOLIST.

2010-10-17  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/lst.c (lst_line): Allow printf formatting to avoid lots of error
  prone formatting to a buffer. Modify also uses of the function.
  (lst_printf,lst_eol): New functions to avoid need of building complicated
  string in buffer.
  (lst_format_line): Code rearranged to emit coff line number in beginning
  and avoid formatting of the line when listing is disabled by NOLIST.
  * Fix bug #3081197 and #3081206 by removing uses of strncat.

2010-09-27  Marko Kohtala  <marko.kohtala@gmail.com>
  * libgputils/gpprocessor.c: Bug #3038983 fix for PIC16 MOVLR instruction
  for GPR RAM bank selection.
  * gpasm/coff.c (_copy_config): config section size off by one.
  * gpasm/directive.c (do_config): Revert a change to PIC16 banksel
  instruction in object file. It broke a test case.
  * gpasm/testsuite/test: Print path to asm file being compiled.

2010-09-25  Marko Kohtala  <marko.kohtala@gmail.com>
  * Fix bugs from 2010-05-20 commit. Coff file reading got symbols
  wrong and relocations had problems. Closes bug #3066883. Bugs
  #3031576 and #3018489 may be duplicates and closed as well. Related
  test cases added.
  * No longer generate RELOCT_ACCESS relocations when access bit was
  explicitly defined in instruction.

2010-06-20  Borut Razem <borutr@users.sourceforge.net>
  * gpasm/gpasm.c, gpasm/gpasm.h:
    fixed bug #3018645: gpasm -o option: file name extension is overwritten

2010-05-20  Marko Kohtala  <marko.kohtala@gmail.com>
  * Major change to byte based section data handling. Device classes
  are now structures with class specific data. Bug 2975796 fix for code_pack.
  Several fixes to code generation in data section. __idlocs fixed to use
  correct addresses. const, signedness and other cleanups.
  * Add gpasm test cases for code_pack, data sections, .def, .dim,
  .direct, etc. Also the gpasm test scripts now execute all tests even in
  case of errors and run object tests in objtest directory to not mess up
  the absolute mode tests.
  * Add more descriptive output to gpvo.

2009-03-29  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/util.c (select_radix): Fix LIST R=? processing to pass
  testsuite/gpasm.mchip list3.asm compilation

2009-03-19  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/Makefile.am, gplink/Makefile.am: Bring back BUILT_SOURCES
  removed by mistake. Now with comments to help remember why it is
  there.

2009-03-18  Marko Kohtala  <marko.kohtala@gmail.com>
  * Fix gpdasm inhx32 reading bug. Thanks to Peter Keller.

2009-03-13  David Barnett  <daviebdawg@gmail.com>
  * gputils-0.13.7 released

2009-03-13  David Barnett  <daviebdawg@gmail.com>
  * Minor signed/unsigned cleanups from bug #2556391.

2009-03-12  Marko Kohtala  <marko.kohtala@gmail.com>
  * Add LIST M=??? support for EEPROM8.

2009-03-10  Marko Kohtala  <marko.kohtala@gmail.com>
  * configure script updated to only test for what is used. Fixes
  compilation problems due to unresolved rpl_malloc and others.
  * Some includes of stdlib.h and string.h fixed to take advice from
  configure.

2009-02-09  Marko Kohtala  <marko.kohtala@gmail.com>
  * gpasm/parse.y: Move use of token symbols after definition. This
  is needed to compile with bison 1.4.1.
  * gpasm/Makefile.am, gplink/Makefile.am: Separate AM_YFLAGS -d
  option to enable automake magic to make EXTRA_DIST and
  MAINTAINERCLEANFILES unnecessary. Use BUILT_SOURCES to have parse.h
  available for include in other files (namely gpasm/directive.c).

2009-02-06  Marko Kohtala  <marko.kohtala@gmail.com>
  * Synchronized device support with MPLAB IDE 8.20. Updated 82
  devices. For some devices object files compiled with previous
  version will not link against object files from this version due
  to coff file type changes and memory size changes. Coff file type
  changed on pic12f508, pic12f509, pic12f635, pic12f683, pic16f505,
  pic16f54, pic16f57, pic16f59, pic16f610, pic16f636, pic16f639,
  pic16f716, pic16f737, pic16f767, pic16f777, pic16f785, pic16f84,
  pic16f84a, pic16f913, pic16f914, pic16f916, pic16f917, pic18f1230,
  pic18f1330, pic18f2610, pic18f2620, pic18f26k20, pic18f4610,
  pic18f4620, pic18f6310, pic18f6390, pic18f6410, pic18f6490,
  pic18f6627, pic18f66j60, pic18f66j65, pic18f6722, pic18f67j60,
  pic18f8627, pic18f86j60, pic18f86j65, pic18f87j60, pic18f96j60,
  pic18f96j65, pic18f97j60.  Memory sizes fixed to match MPASM v5.30
  for pic12c509, pic12c509a, pic12cr509a, pic12f509, pic12f510,
  pic12ce519, pic16c505, pic16f610, pic16f630, pic16f676, pic16f88,
  pic16f882, pic16f883, pic16f884, pic16f914, pic16f916, rf509af,
  rf509ag, rf675f, rf675h, rf675k.  BSR position fixed on
  pic18f6525, pic18c658, pic18f6621, pic18c858, pic18f8621. Added
  122 new devices from MPASM v5.30.
  * [gpasm] Updated config options with script by Michael Ballbach.

2009-1-30 David Barnett <daviebdawg@gmail.com>
  * Patch from Marko Kohtala to open COFF files with unknown device ID (using
  generic device of the same ROM width)

2008-12-15 David Barnett <daviebdawg@gmail.com>
  * Cleaned up processor definitions and updated from MPASM data (special
  thanks Marko Kohtala)

2008-12-03 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed warnings checking RAM against max ROM address (bug #2255225)

2008-12-02 David Barnett <daviebdawg@gmail.com>
  * Corrected COFF type for p12f510 (bug #2255399)

2008-12-02 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed infinite loop for odd addresses on 18F parts (bug #1988473)
  * [gpasm] Display code_pack sections byte-by-byte in listing file
  * Special thanks to Michael Ballbach

2008-12-02 David Barnett <daviebdawg@gmail.com>
  * Fixed filename expansion bug in regression test script

2008-12-02 David Barnett <daviebdawg@gmail.com>
  * Made regression tests Bourne shell compatible

2008-11-06 David Barnett <daviebdawg@gmail.com>
  * Added missing definitions for p18f23k20 and p18f43k20 (thanks Raphael
  Neider)

2008-08-19 David Barnett <daviebdawg@gmail.com>
  * Added header & LKR files for p18f23k20, p18f24k20, p18f25k20, p18f26k20,
  p18f43k20, p18f44k20, p18f45k20, p18f46k20

2008-07-08 David Barnett <daviebdawg@gmail.com>
  * Added support for p18f23k20, p18f24k20, p18f25k20, p18f26k20, p18f43k20,
  p18f44k20, p18f45k20, p18f46k20 (thanks Renato Caldas)

2008-06-06 David Barnett <daviebdawg@gmail.com>
  * Fixed segfault in gplink -O2 for symbols w/o sections (bug #1985543)

2008-06-06 David Barnett <daviebdawg@gmail.com>
  * Fixed CONFIG address range for 18f65j50 (bug #1986505)

2008-06-03 David Barnett <daviebdawg@gmail.com>
  * Fixed line number problems with CODE_PACK directive (bug #1972099)

2008-05-17 David Barnett <daviebdawg@gmail.com>
  * gputils-0.13.6 released

2008-05-17 David Barnett <daviebdawg@gmail.com>
  * Fixed bug in r528 (involving bug #1534641)

2008-05-16 David Barnett <daviebdawg@gmail.com>
  * Added support for p18f45k20
  * Added this and previous few processors to processor list in documentation

2008-05-16 David Barnett <daviebdawg@gmail.com>
  * Added support for p18f65j50

2008-05-15 David Barnett <daviebdawg@gmail.com>
  * Added support for p18f4321 (thanks Rob Pearce)

2008-05-14 David Barnett <daviebdawg@gmail.com>
  * Updated CONFIG directive definitions to match MPASM 5.20

2008-05-14 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed segfault involving relocations on second pass of assembler
  (bug #1858537)

2008-05-13 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Added support for p18f66j60, p18f66j65, p18f67j60, p18f86j60,
  p18f86j65, p18f87j60, p18f96j60, p18f96j65, and p18f97j60 (thanks Strobl
  Anton)
  * Added these and other added processors to processor list in documentation

2008-05-13 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Updated French manpage for -C option (patch by Alain Portal)

2008-05-11 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Added CONFIG start/end addresses into processor table (bugs
  #1831152, #1852585)

2008-05-11 David Barnett <daviebdawg@gmail.com>
  * [gputils] Updated p18f65j50.inc

2008-05-11 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed special-case default for PIC18 access bit (bug #1534641)

2008-05-11 David Barnett <daviebdawg@gmail.com>
  * [gputils] Fixed missing #include for Windows builds

2008-05-11 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed segfault on call w/ no args in PIC18's (bug #1943484)

2008-05-08 David Barnett <daviebdawg@gmail.com>
  * [gpdasm] Improved gpdasm to allow non-word-aligned byte addresses (bug
  #1917597)

2008-05-07 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed failed assertion for unreasonably high code addresses (bug
  #1741065)

2008-05-06 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed symbol problems for labels on blank lines in data sections
  (bug #1943487)

2008-05-05 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Applied patch by Borut Razem to fix buffer overflow in LST file
  generation (bug #1922419)

2008-03-21 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Added support for 18f2450, 18f4450, 18f2523

2008-03-21 David Barnett <daviebdawg@gmail.com>
  * Fixed bug with multiple spaces in #define directives (bug #1860881)

2007-11-22 David Barnett <daviebdawg@gmail.com>
  * Fix bug with #v substituted labels in code_pack sections

2007-11-21 David Barnett <daviebdawg@gmail.com>
  * Updated gputils manual (gputils.lyx) to LyX 1.5.1 and fixed outdated
  information

2007-11-20 David Barnett <daviebdawg@gmail.com>
  * Applied patch by Michael Ballbach to support code_pack directive

2007-11-19 David Barnett <daviebdawg@gmail.com>
  * Fixed endianness bugs in gpvc based on patch by Steve Tell (bug #803352)

2007-11-18 David Barnett <daviebdawg@gmail.com>
  * Changed "mode" directive on sx48/sx52 to support 5 bits (FR #835201)

2007-11-18 David Barnett <daviebdawg@gmail.com>
  * Changed COFF v2 optional magic number to 0x5678 (same as COFF v1)
  * Fixed strange errors in sx.asm and pageselw2.asm tests expected output

2007-11-18 David Barnett <daviebdawg@gmail.com>
  * Fixed COFF magic number regression

2007-11-17 David Barnett <daviebdawg@gmail.com>
  * Fixed CONFIG definitions for 16c54a and 16c715 (in PIC headers)

2007-11-14 David Barnett <daviebdawg@gmail.com>
  * Updated gpasm manpage for flag to output new COFF format (-C)

2007-11-13 David Barnett <daviebdawg@gmail.com>
  * Merged changes from patch by Andreas Kabel to support the new COFF format
  across all of gputils

2007-11-12 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed -g option to give meaningful error instead of failed
  assertion when missing .file directive (bug #1825940)

2007-11-11 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Added support for 18f2321

2007-11-11 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed bad information on 12f509 and 18f6722 in processor data

2007-11-10 David Barnett <daviebdawg@gmail.com>
  * Fixed old version number to 0.13.5 (actually released 2007-10-27)

2007-11-08 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed gpasm absolute mode to give "maximum range" warnings between
  program memory and eeprom

2007-11-08 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed maxrom to respect max eeprom address (but temporarily
  removed warnings for addresses in between)

2007-11-05 David Barnett <daviebdawg@gmail.com>
  * [gplink] Applied patch from Robert Pearce to fix address/line mapping in
  COD files

2007-11-05 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Updated gpcfg-table.c based on MPASMWIN 5.13 and script by Michael
  Ballbach

2007-11-05 David Barnett <daviebdawg@gmail.com>
  * Changed 'FCMEM' to 'FCMEN' in p18f4550.inc

2007-10-28 David Barnett <daviebdawg@gmail.com>
  * Applied patch from Alain Portal to fix French manpage

2007-10-28 David Barnett <daviebdawg@gmail.com>
  * Applied patch from Alain Portal to fix manpage formatting

2007-10-27 David Barnett <daviebdawg@gmail.com>
  * gputils 0.13.5 Released

2007-09-17 Scott Dattalo <scott@dattalo.com>
  * [gpasm] Single character strings were not being interpreted correctly for
  the .direct macros.

2007-09-28 David Barnett <daviebdawg@gmail.com>
  * [gputils] Fixed bsr location for p18f6585, p18f6680, p18f8585 and p18f8680

2007-09-17 Scott Dattalo <scott@dattalo.com>
  * [gputils] Added support for the p12f510.

2007-06-26 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Report message when RES directive size evaluates to zero (or
  truncates on PIC18)
  * [gpasm] Report error when ORG has odd address on PIC18

2007-06-26 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed bug #1638506, where fixed idata addresses were divided by 2

2007-06-26 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Added message when assuming first CBLOCK address

2007-06-25 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Added support for pageselw directive
  * [gpasm] Added test cases for pageselw directive in gpasm.project directory

2007-06-25 David Barnett <daviebdawg@gmail.com>
  * [gputils] Patch by Michael Ballbach to add support for new COFF format

2007-06-25 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed bug #1466150, where gpasm produced bad HEX output (instead
  of an error) for addresses above 0xFFFF under some hex formats

2007-06-25 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Reverted forward reference changes for RES directive (on 2007-6-19
  & 6-20) since they affect the wrong value
  * [gpasm] Fixed potential uninitialized pointer access in do_define

2007-06-25 David Barnett <daviebdawg@gmail.com>
  * [gputils] Added support for p18f2682, p18f2685, p18f4682, and p18f4685

2007-06-22 David Barnett <daviebdawg@gmail.com>
  * Fixed bug in test scripts that prevented failures from being reported
  properly
  * [gpasm] Disabled reporting testing failed if tests in gpasm.mchip fail
  (several have never passed)
  * [gpasm] Added sx.o into test script directory, apparently forgotten
  * [gpvc] Changed 'gpdasm' to 'gpvc' in gpvc usage message

2007-06-22 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed token problem that caused some beginning-of-line directives
  (include, title, subtitle) to be accepted when not followed by whitespace or
  a delimiter

2007-06-21 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed bug #1335511, where redefining a symbol silently corrupts
  the COFF relocations

2007-06-21 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed to return non-zero for invalid command-line arguments

2007-06-20 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Implemented warning for program code overflow
  * [gpasm] Implemented __maxrom directive (but not __badrom)
  * [gputils] Removed 16c747 (doesn't exist) and added 16f747
  * [gputils] Fixed wrong address in 16c771.lkr

2007-06-20 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Minor fix to previous update, assume 0 instead of 1 for "res"
  directive argument (size).

2007-06-19 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed behavior of undefined expressions on the first pass to
  assume 0 as in MPASM (affects strange "differ on second pass" cases like
  bug #1058509)

2007-06-18 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed to allow blank parameters on macro invocation, substituting
  nothing (not even empty quotes) as in MPASM

2007-06-18 David Barnett <daviebdawg@gmail.com>
  * [gplink] Fixed bug #1472396, error on empty comment line in LKR script

2007-06-17 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Limited string->character coercion of 1-length string literals to
  contexts where syntax doesn't permit strings
  * [gpasm] Allowed special escape sequences (like hex codes) in character
  literals. Old behavior would silently return incorrect result.

2007-06-14 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed bug #897875, assertion failed instead of error for
  substitution of #define label without a value
  * [gpasm] Fixed minor bug with ignored parameter in check_defines

2007-06-12 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Patch by Michael Ballbach to add support for CONFIG directive

2007-06-12 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed minor lexer error with title and subtitle directive involving
  whitespace after parameter
  * [gpasm] Fixed errors on misuse of #define directive

2007-06-11 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Improved quote behavior on include, title, and subtitle directives
  and moved their logic into the parser grammar

2007-06-11 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Corrected behavior for include directive with quoted, braced, and
  unquoted parameter

2007-06-07 David Barnett <daviebdawg@gmail.com>
  * [gputils] Added support for sx48 and sx52
  * [gputils] Updated list of supported processors in gputils.lyx

2007-06-07 David Barnett <daviebdawg@gmail.com>
  * [gputils] Added support for p10f220 and p10f222

2007-06-07 David Barnett <daviebdawg@gmail.com>
  * [gputils] Added support for p16f610
  * [gputils] Added support for p16f882, p16f883, p16f884, p16f886, and p16f887
  * [gputils] Added support for p18f1230 and p18f1330
  * [gputils] Added support for p18f24j10, p18f25j10, p18f44j10, and p18f45j10

2007-06-06 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Corrected processor class and removed special-case
  missing instructions for p16f5x

2007-06-06 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed erroneous page count on p16f88

2007-06-06 David Barnett <daviebdawg@gmail.com>
  * [gpasm] Fixed missing warning for line ending in unpaired quote

2006-12-16 Scott Dattalo <scott@dattalo.com>
  * [gpasm] Patch from David Barnett to fix 'Duplicate Label' bug.

2006-08-19 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.13.4 Released.
  * [gputils] Updated header files and linker scripts.
  * {gputils] Fixed UPPER to mask with 0xff instead of 0x3f.
  * [gpasm] Mask MOVLB with 0xf instead of 0xff.
  * [gpasm] Fixed default access bit for extended pic16e.

2005-12-19 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpasm] Fixed 18xx config bug when config the last section.

2005-10-13 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gputils] Fixed bsr boundary for 18f2455/2550/4455/4550.

2005-08-18 Borut Razem <borutr@users.sourceforge.net>
  * [gplib] Allow forward and back slashes as directory delimiters.

2005-08-03 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.13.3 Released.
  * [gpasm] Added more arity checks to bit special instruction mnemonics.

2005-08-03 Raphael Neider <tecodev@users.sourceforge.net>
  * [gplink] Allow processor mismatch warning to be disabled.

2005-07-25 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gplink] Changed order of stack and cinit functions to fix bugs.

2005-07-02 Scott Dattalo <scott@dattalo.com>
  * [gpasm] Quoted strings can now be passed in a .direct directive.

2005-06-14 Alain Portal <aportal AT univ-montp2 DOT fr>
  * [man] Updated French man pages.

2005-05-26 Alain Portal <aportal AT univ-montp2 DOT fr>
  * [man] Updated French man pages.

2005-05-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gplink] Remove dead sections from the object files.
  * [gplink] Added default linker path to search paths.

2005-05-18 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpasm] Check for divide by zero on modulo operator.

2005-05-11 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpstrip] Allow multiple input files.

2005-05-07 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpasm] Generate dependency file.

2005-05-06 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpvo] Added symbol export feature.

2005-05-05 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.13.2 Released.
  * [gpal] Removed gpal until it reaches alpha status.
  * [libgputils] Fixed pointer bug in symbol removal function.
  * [gpasm] Use .org_{address} for ORG COFF section names.

2005-04-24 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpstrip] Added new utility.

2005-04-15 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.13.1 Released.
  * [gpasm] Generate an error if config is placed in the middle of section.
  * [gplink] Generate an error if a relocation address is outside a section.

2005-04-13 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gplink] Fixed a bug in section merging.
  * [gpvo] Fixed a bug when disassembling multiword instructions.

2005-03-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gputils] Updated header files and linker scripts.

2005-03-11 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gplink] Fixed RELOCT_ALL relocation.

2005-01-27 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpal] Updated pub files.

2005-01-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gplink] Remove weak symbols from input object files.

2005-01-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gplink] Scan archives for missing symbols multiple times if necessary.

2005-01-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpasm] Fix relocation error with LCALL and LGOTO directives.

2005-01-14 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpasm] Allow concatenation operators in extern and global directives.

2005-01-12 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Updated config scripts.

2005-01-06 Alain Portal <aportal AT univ-montp2 DOT fr>
  * Updated French man pages.

2005-01-03 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.13.0 Released.
  * [gpdasm] Fixed error in decoding two word instructions.

2004-12-31 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gputils] Added support for 18xx extended instruction set.
  * [gplink] Generate a warning if object processor names don't match.
  * [gpdasm] Decode 18xx instruction mnemonics.

2004-12-24 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gputils] Updated header files and linker scripts.
  * [gputils] Added new processors: p10f200, p10f202, p10f204, p10f206,
    p16f59, p16f639, p16f685, p16f687, p16f689, p16f690 p18f6310, p18f6390,
    p18f64j15, p18f65j10, p18f65j15, p18f6627, p18f66j10, p18f66j15,
    p18f6722, p18f67j10, p18f8310, p18f8390, p18f84j15, p18f85j10, p18f85j15,
    p18f8627, p18f86j10, p18f86j15, p18f8722, p18f87j10

2004-11-28 Robert Kaes <rjkaes@users.sourceforge.net>
  * [gpal] Improved context save during isr.
  * [gpal] Simplified symbol offsets in the code generator.

2004-11-26 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpal] Added symbol attributes.
  * [gpal] Added access types.
  * [gpal] Added volatile symbols.
  * [gpal] Added records.

2004-11-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpal] Write a newline before eof in deps output.
  * [gpal] Require a public file for the module being compiled.

2004-11-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * [gpal] Generate Make compatible dependency lists.
  * [gpal] Attempt to open <public>.pub file if <public> isn't in memory.
  * [gpal] Use extended coff directives in gpal output files.
  * [gpasm] Fixed errors in new COFF directives.
  * [gplink] Sort sections in the map file.

2004-11-05 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Moved gpal FSR code to device specific code generators.

2004-11-05 Robert Kaes <rjkaes@users.sourceforge.net>
  * Improved gpal 16e code generator.

2004-10-29 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed bugs in gpal banksels, code generation, and optimizer.

2004-10-27 Robert Kaes <rjkaes@users.sourceforge.net>
  * Moved gpal reset and interrupt vectors to device specific code generators.
  * Fixed gpal com operator.
  * Fixed gpal bug when function calls appear in test expressions.
  * Improved gpal 16e indirect accesses, indf accesses, and inc/dec functions.

2004-10-26 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow conditionals in gpal subprogram declaration region.

2004-10-24 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow complex alias expressions in gpal.
  * Allow pragmas in gpal subprograms.
  * Add second pass to gpal optimizer.

2004-10-21 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Reduced number of gpal banksels.

2004-10-19 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed bug in new linker script option.
  * Use autoconf PACKAGE_BUGREPORT macro.
  * Improvements in gpal's 18xx code generator.

2004-10-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added absolute path option on win32 hosts.
  * Allow the linker script to be specified on as first item of the object
    list in gplink.

2004-10-15 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Delete gplink output files when errors occur.
  * Use more boolean types.
  * Clean up top level of gplink.
  * Added French translation of gputils man pages.

2004-10-10 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Merged changes from cod-branch:
    - Fixed stop location error in directory map of COD files.
    - Added time and date to COD files.
    - Fixed error in gpvc time reporting.
    - Changed to byte addressing for 18xx cod files.
  * Added direct messaging from COFF and COD files to simulator.
  * Added new COFF directives .ident and .type.
  * Allow expressions as arguments to banksel, bankisel, and pagesel.
  * Improved rpm spec file.

2004-10-02 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed error in disassembly of 18xx instuctions.

2004-09-26 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added directives to gpasm for directly modifying COFF symbol tables.
  * Changed the gpasm COFF debug directives to .file, .eof, and .line.  

2004-09-24 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.12.4 Released.
  * Allow odd relocation addresses in gplink and gpasm.

2004-09-16 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Improved banksel and pagesel directives.

2004-09-13 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Remove processor name kludge in gpasm lexer. 
  * Fixed bug in gpal indirect access banksel. 
  * Fixed bug in gpal function return values.

2004-09-05 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added new error message to gplink to catch udata sections in devices
    with only shared memory definitions.
  * Allow udata sections to be relocated by gplink to shared sections if
    no space is available.

2004-08-29 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Add 18xx support to gpal.
  * Fix disassembly of multi-word 18xx instructions.

2004-08-25 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow "#" in gpasm labels.

2004-08-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed disassembly of clrwdt on 16xx processors.

2004-08-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed BSR location for 18f2331, 18f2431, 18f4331, and 18f4431

2004-07-25 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.12.3 Released.

2004-07-24 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Merged patches from OpenBSD port.

2004-07-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added new processors: 12f508 12f509 12f635 12f683 16f505 16f636
    16f785 16f913 16f914 16f916 16f917 18f2410 18f2420 18f2455 18f2480
    18f2510 18f2515 18f2520 18f2525 18f2550 18f2580 18f2585 18f2610 18f2680
    18f2681 18f4410 18f4420 18f4455 18f4480 18f4510 18f4515 18f4520 18f4525
    18f4550 18f4580 18f4585 18f4610 18f4680 18f4681 18f6410 18f6490 18f8410
    18f8490
  * Updated header files and linker scripts.

2004-07-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Define SFRs in pub files as uint8 instead of constant uint8.

2004-07-18 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow multiple modules and publics in one gpal file.

2004-07-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added _stack_end symbol to gplink to simplify downward growing stacks.

2004-07-13 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.12.2 Released.

2004-07-08 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow empty modules and publics in gpal.
  * Allow if statements in a module or public, but outside of subprograms
    in gpal.

2004-07-07 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added support for manually assigned data memory addresses in gpal.

2004-07-04 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added support for nested case statements in gpal.
  * Added support for multiple switch elements in gpal case statements.

2004-07-03 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added symbol alias feature to gpal.

2004-06-27 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added several new gpal optimizations.

2004-06-25 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed gpasm regression.  Duplicate extern feature can cause assertions.
  * Allow cblocks in gpasm macros.

2004-06-16 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow duplicate extern directives in gpasm.

2004-06-15 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed relocations in idata sections.

2004-05-05 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added labels and gotos to gpal.

2004-05-02 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.12.1 Released.

2004-04-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added processor pub file generation.
  * Added default search path to gpal.

2004-04-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added support for #if directive and allow else in column 1.
  * Fixed malformed header files.  They were missing a NL before the EOF.
  * Added interrupt context save to gpal.

2004-03-13 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added gplink command line option to disable list file output.
  * Fixed gplink bug that caused an error to be generated if a source file
    wasn't found when generating a list file.
  * Fixed gplink 18xx initialized data sections so retlw isn't used.
  * Added support for stack sections in gplink.
  * Use section type to determine format for gpvo disassembly output.

2004-02-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed bug in gpdasm relative branches.

2004-02-07 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed uninitialized memory in escape character conversion.

2004-01-20 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.12.0 Released.
  * Fixed bug in gpdasm relative branches.
  * Force decimal interpretation of debug line number directive in gpasm.
  * Don't insert LIST or NOLIST symbols in gpasm COFF outputs if debug
    directives are used.
  * Fixed bug when concatenated symbols <string>_#v<expr> is used as a
    macro argument.
  * Fill missing 18xx config words in gpasm relocatable objects with 0xff
    instead of generating an error.

2004-01-16 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Use install path for default when environmental variable isn't set.
  * Added GPUTILS_LIB_PATH environmental variable for gplink.
  * Added list file output to gplink and fixed bugs in cod file output.
  * Added automake work around to fix compile order for bison outputs.
  * Switched to AM_ flags in automake so users can specify additional
    flags.

2004-01-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow full path to object file in gplib when creating an archive.
  * Always generate a warning when a source is missing an endif.
  * Prevent #v label from being processed when assembly is disabled.
  * Force list file to print blank space when assembly is disabled.

2004-01-07 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Use environmental variables GPUTILS_HEADER_PATH and GPUTILS_LKR_PATH
    for the default header and lkr paths.
  * Removed CFLAGS from mingw port.
  * Fixed COFF line number bugs in gplink.
  * Fixed 18xx symbol offset bug when merging sections in gplink.
  * Fixed segfault in gplink when sections missing relocations are merged.

2004-01-01 Scott Dattalo <scott@dattalo.com>
  * libgputils/gpsystem.c - added unsigned short gp_getu16(char *addr)
  * gputils/dump.c - changed references of gp_getl16 to gp_getu16. Added
    new function fget_line() to read a line from a file.

2004-01-01 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow multiple config words for all devices in gpasm.

2003-12-25 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Use full symbol name in gpal at the base of symbol tables.
  * Add symbol alias at the top of symbol table stack.
  * Use full type name in types.

2003-12-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Removed constant and variable keywords from gpal.  Added constant type.
  * Removed header file scan from gpal.

2003-12-20 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed i_memory allocation so memory beyond 32k words is initialized to 0.
  * Fixed memory map in gpasm list files for 18xx devices.  The map is now 
    in byte format.

2003-12-18 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Changed gpasm classification to beta, gpal to pre-alpha, and all
    others to alpha.
  * Updated gputils manual to include gpal.
  * Added gpal man page.
  * Fixed many gpal bugs.

2003-12-15 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added a new tool called gpal.
  * Added debug-info feature to gpasm, so HLL linenumbers can be inserted
    into COFF outputs.

2003-12-14 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed a bug in gpasm 18xx absolute data memory sections that caused the 
    address to be wrong.
  
2003-12-01 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Changed gpasm behavior so cblocks are only processed when assembly is
    enabled. 

2003-11-30 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Changed gpasm while loops to insert raw text instead of a parsed tree.

2003-11-29 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed gpasm bug that prevented some symbols from being substitued with
    macro parameters and #defines.

2003-11-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed gpasm bug that caused the relocation to be omitted if the macro
    argument is complex.
  * Fixed gpasm bug that could cause symbol offsets in relocations to be
    calculated incorrectly.

2003-11-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.8 Released.
  * Added new processors: 16f54, 16f57, 16f688
  * Updated header files and linker scripts.
  * Updated libiberty from upstream sources.
  * Changed gpasm 18xx banksel from movlb relocation to banksel relocation.
  * Changed gplink movlb relocation to use the upper byte of symbol address.

2003-10-21 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed string to long conversion in gpasm so 32 bit numbers
    could be used.

2003-10-19 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Updated documentation.

2003-10-18 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed a bug in 16xx special instruction mnemonics that could cause
    an incorrect branch calculation if a goto proceded the mnemonic.

2003-10-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.7 Released.

2003-10-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Allow gplink to parse linker scripts with missing newlines before the 
    EOF.

2003-10-08 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed an initialization problem that causes a segfault when the first
    line has a parse error.

2003-10-03 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added 18xx config and idlocs sections to gpasm coff outputs.
  * Cleaned up gplink script error reporting.

2003-09-28 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed gplink bug in 18xx absolute sections.
  * Fixed gplink memory allocation bug in 18xx devices.

2003-08-08 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed bug that could cause problems with comments on include directives.

2003-08-01 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.6 Released.
  * Added support for idata sections in gplink.
  * Changed extension of gplink object output from ".out" to ".cof"

2003-07-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed bsr boundary location for 18f248, 18f258,18f448, and 18f458.
  * Changed gpasm, gpdasm, and gpvo memory dump address format from word to
    byte for 18xx devices.
  * Changed gplink processor check to be processor family instead of processor
    name.
  * Changed gpdasm to display the second word of 18xx two word instructions.

2003-07-20 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added new processors: 16f716, 18f2620, 18f4620
  * Update header files and linker scripts.
  * Fixed gplink error that caused the map file to always be generated.
  * Fixed bug in gpasm that caused 18xx access bank bit to be ignored if it
    was specified on some instructions.
  * Changed gpdasm 18xx address format from word to byte. 

2003-07-07 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Changed extension of gplink object output from ".o" to ".out"
  * Fixed error in RES directive when used for data sections.
  * Fixed typo in gp_date_string.

2003-06-28 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.5 Released.
  * Fixed byte count when RES directive is used in 18xx data sections.
  * Display help when multiple files are passed to gpasm, gpdasm, gpvo, 
    and gpvc on the command line.
  * Check for lower case filename if include file is not found.

2003-06-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Extended the legal syntax for difference of coff symbols within the same
    section.

2003-06-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Changed coff to use byte addressing for program memory of 18xx devices.
  * Changed absolute coff sections generated with org directive to use
    org_"number" for a name instead of org_"address".
  * Added missing relocation for "$" symbol.
  * Fixed bug in gpvo which could cause section data to not be printed for
    18xx devices.
  * Added range warning to gplink for 18xx relative branches.
  * Changed default behavior of the 18xx access bit in gplink to be like
    gpasm. 
  * Changed build directory for rpms.

2003-06-14 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed error in the range check for 17xx movpf and movfp instructions.

2003-06-04 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.4 Released.
  * Replaced or removed obsolete macros in configure.ac.

2003-06-01 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added new processors:
    p16c557 p16c747 p16f648a p16f684 p16f737 p16f767 p16f777 p18f2331 
    p18f2431 p18f2439 p18f2539 p18f4331 p18f4431 p18f4439 p18f4539 
    p18f6520 p18f6525 p18f6585 p18f6621 p18f6680 p18f8520 p18f8525
    p18f8585 p18f8621 p18f8680 rf675f rf675h rf675k
  * Updated header files and linker scripts.

2003-05-20 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Updated scripts to automake-1.6 and autoconf-2.57.
  * Ran autoscan and fixed reported problems.
  * Added AM_MAINTAINER_MODE to autoconf.

2003-05-10 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.3 Released.  
  * Fixed seg fault in gpasm when difference between coff symbols is 
    calculated. 
  * Fixed map file bug that caused the end section address to be reported
    incorrectly.
  * Added gplink command line option to fill unused unprotected program
    memory.
  * Added gplink testsuite.

2003-05-06 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed conditional assembly of INCLUDE directives in gpasm. 
  * Fixed seg fault in gplink when object has no sections or symbols.
  * Fixed target memory allocation in gplink when section size = page size
  * Fixed target memory allocation in gplink when section size = 1
  * Implemented section fill in gplink.

2003-05-03  Scott Dattalo  <scott@dattalo.com>
  * 18f Bit instructions were not handling the Access bit properly

2003-04-19 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.2 Released.
  * Fixed section size bug in org directives when used in gpasm coff outputs.
  * Fixed bug in cod file address size that confused MPLAB.
  * Fixed bug in lexer when < and > were used in the same expression.
  * Prevented symbols from absolute sections from being updated after
    relocation.
  * Added feature so gplink now loads a default linker script if one is not
    specified.
  * Updated header files.
  * Updated linker scripts.
  * Added configuration settings for OS/2 host.
  * Modified lexer to allow [.][a-z][a-z0-9]* labels.
  * Moved gpasm default header path to last in the search list.

2003-04-02 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.1 Released.

2003-03-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Moved common cod functions into libgputils.
  * Added cod file output to gplink.
  * Updated config scripts.
  * Added variable bsr boundary location for default access bit on 18xx
    devices.

2003-03-21 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Check status of all fopens to prevent file io problems.

2003-03-14 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Specified fopen() mode to prevent CRLF conversion on binary files when
    using the mingw port.
  * Fixed gplink bug that causes some symbols to be incorrect after section
    merging.
  * Report symbol names when resolving external references in gplink fails.

2003-03-14 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.11.0 Released.
  * Fixed bug that caused amode stack to be incorrect when exitm was used.
  * The P value for movpf and movfp instructions is now checked.
  * Added check for invalid destinations with movff instructions.
  * Cleared defines table at the start of second pass.
  * Generate a warning for macros only invoked on pass 2.

2003-03-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed segmentation fault in gplink.
  * Fixed a parse error in the sharebank definitions in linker scripts.
  * Moved COFF definitions to gpcoff.h.

2003-03-03 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Finished relocation patching.
  * Added map and hex file outputs to gplink.

2003-02-27 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added relocation and linking functions to gplink.

2003-02-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Removed nuisance warning about malformed asm files.
  * Fixed errors when using escape characters in strings.

2003-02-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added auxiliary coff symbols.

2003-02-16 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added pointers in object files to simplify linking operations.
  * Added checks when reading object files.

2003-02-02 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Combined overlayed sections in gpasm coff outputs.
  * Append prefix on local variables that end up in coff file.  
  * Fixed error that prevented using $ with data directives.

2003-01-19 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added object test files.
  * Fixed errors found by running new test files.  
  * Added bankisel directive.

2003-01-05 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Converted to new object structures.
  * Fixed errors in gpasm, gplib, and gplink.  
  * Changed gpvo output format.

2002-12-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added coff file support to gpasm.
  * Added UPPER operator.
  * Removed invalid parts. 

2002-12-04 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed incorrect range warning on 18xx gotos.
  * Fixed parse error for << operators > in the comment.
  * Cleaned up parse debug output.

2002-11-22 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.10.6 Released.
  * Fixed behavior of de directive for 18xxx devices. Data is now packed.
  * Added new directives: banksel and pagesel
  * Fixed default BSR behavior for 18xxx devices.
  * Changed gpasm default hex file format to inhx32.

2002-11-09 Scott Dattalo <scott@dattalo.com>
  * Invalid relative branches for 18xxx family were not generating errors. 
    eg: bc $+258, bc $-256, rcall $-2048, rcall $+2050 all now generate 
    appropriate errors.

2002-11-07 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added support for sx, 17xx, and 18xx devices in gpdasm.
  * Fixed config directive for 18xx devices with address > 0x300007

2002-10-27 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.10.5 Released.

2002-10-19 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added new processors: 12f629 12f675 16c557 16f627a 16f628a 16f630 
    16f676 16f72 16f76 16f77 16f818 16f819 16f87 16f873a 16f874a 16f876a 
    16f88 18f1220 18f1320 18f2220 18f2320 18f4220 18f4320 18f6620 18f6720 
    18f8620 18f8720 rf509af rf509ag
  * Updated header files

2002-10-12 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.10.4 Released.
  * Fixed bug that caused assertion when macro calls procede definition.
  * Fixed bug that required gpasm arguments be in a specific order.
  * Moved opcode definitions into libgputils for future gpdasm improvments.
  * Fixed bug that prevented conditional assembly directives in column 1 to be
    missed if assembly had been previously disabled.
  * Generate an error if endm is missing from a macro definition.
  * Increased gpvc file number limit from 20 to 100.

2002-08-18 Scott Dattalo <scott@dattalo.com>
  * gpasm - arithmetic for negative relative branches on a 16bit core
    was loosing the sign bit.
	
2002-05-12 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.10.3 Released.

2002-04-27 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added Code Warrior changes. 

2002-04-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Updated header files and linker scripts. 
  * Added manpages.

2002-04-08 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed error that could cause a seg fault on AmigaOS.
  
2002-04-03 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.10.2 Released.
  * Any argument to an instruction which exceeds its range will now generate
    at least a warning.
  * Bank warnings are now generated for access to register files that aren't 
    in bank 0.
  * Any goto or call which is to a page other than the current page will now
    generate a page warning.
  * Added --force-list option, so gpasm will ignore nolist directives.
  * The default values for hex format, radix, and warning level are now 
    displayed.
  * Added description of the alternative number formats to documents. 
  
2002-02-28 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed a bug that inserted an extra NULL line in a macro definition when +=
    type ops are used.  The bug caused a seg fault.

2002-02-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.10.1 Released.

2002-02-23 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Macros are now implemented as a text substitution at the input to the 
    lexer.  All macro arguments are preprocessor substitutions like #define.
  * Fixed a bug that caused i = i + 1 type expressions to be evaluated twice
    in macros.
  * Include statements now appear before the body of the file in the listing.
  * Macro calls now appear before the body of the macro in the listing.
  * Fixed a bug that allowed #defines in the body of a macro to be processed 
    during the macro definition.
  * "fill (<expression>),number", equ, and various other commands now work in
    macros.
  * Fixed several bugs in the processing of numeric constants.  For example,
    with a hex radix setting "100b" is now evaluated as 0x100b not 0x4.
  * #v() subsitutions will now work in cblocks and macros.
  * Fixed a bug that could cause a segmentation fault with a bad text 
    substitution.

2002-01-27 Craig Franklin <craigfranklin@users.sourceforge.net>
  * added rpm spec file.

2002-01-20 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gputils 0.10.0 Released.

2002-01-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Removed target detection from configure.  Target is always a PIC so it
    doesn't make any sense to run the test.
  * Removed unnecessary object extension from Makefiles.
  * Added bzero.c to libiberty for mingw32 port.

2002-01-16 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added missing () in gplink lexer. 
  * Added a subset of libiberty so getopt_long is always available.

2002-01-15 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed a bug in gpasm that causes a nuisance warning when multiple macro
    definitions are selected using conditional assembly.

2002-01-13 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed a bug in gpvc that could cause a segmentation fault.

2002-01-10 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Renamed gpasm package to gputils.
  * Changed library from libgpasm.a to libgputils.a
  * Renamed mem2asm.c to dis.c
  * Appended gp prefix to all library files.
  * Renamed /gpasm/opcode.c to /gpasm/directive.c.
  * Corrected and updated copyright notices.
  * Moved /gpasm/cod.h to library. Removed cod.h from gpvc.
  * Moved test files to tool subdir for future support of dejagnu.
  * Started updating users manual.
  * Moved examples to gputils-extra package.
  * Corrected many problems with gplib.
  * Continued work on gplink.  

2001-12-07 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added linker scripts.

2001-12-06 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed cygwin warnings with -Wall -pedantic flags.
  * Updated maintainer information.

2001-11-26 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Fixed a bug that could cause a core dump when expanding macros.
  * Fixed a bug that cause labels inside of macros for 18cxx devices
    to be off by 2X.
  * Removed unecessary -I /usr/local/share/gpasm/header from example1
    Makefile. 
  * Fixed a bug that causes command line radix to be overwritten on pass 2.
  * Moved symbol table functions to library for use with gplink.
  * Added extra warning flags to cygwin.

2001-11-24 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added new tool gplink.  This tool is intended to be compatible with mplink.
    This is a development version.  It is not complete.  

2001-11-17 Craig Franklin <craigfranklin@users.sourceforge.net>
  * Added new tool gplib.  This tool is intended to be compatible with mplib.
    This is a development version.  It is not complete.  

2001-10-31 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gpasm 0.9.14 Released.
  * The path to the header files is now searched when including files.  This  
    means the "-I /usr/local/share/gpasm/header" argument to gpasm is no  
    longer necessary.  The path may be displayed by commanding "gpasm -h".  
    This path may be disabled at compile time using the "--disable-path" 
    configuration option.
  
2001-10-25 Craig Franklin <craigfranklin@users.sourceforge.net>
  * implemented "fill (<expression>),number", where <expression> is a line of
    assembly.  example: "fill (goto start), 10" 
  * fixed bug #423204, infinite loop when missing new line before EOF in a file
    without the END directive
  * parser debug is enabled when PARSE_DEBUG is defined

2001-10-09 Craig Franklin <craigfranklin@users.sourceforge.net>
  * removed all // comments to satisfy --pedantic flag
  * fixed several errors in gpvo

2001-10-06 Craig Franklin <craigfranklin@users.sourceforge.net>
  * gpasm 0.9.13 Released.
  * Added new processors:
    p16c432 p16c433 p16c781 p16c782 p16c925 p16c926 p16cr620a p16f73	
    p16f74 p16f85 p16f86 p16f877a p18f242 p18f248 p18f252 p18f258	
    p18f442 p18f448 p18f452 p18f458	
  * Corrected header file errors.
  * New header files added:
    p16c781.inc p16c782.inc p16f85.inc p16f86.inc p16f877a.inc p18c601.inc
    p18c801.inc p18f020.inc p18f242.inc p18f248.inc p18f252.inc p18f258.inc
    p18f442.inc p18f448.inc p18f452.inc p18f458.inc

2001-10-02 Craig Franklin <craigfranklin@users.sourceforge.net>
  * "list n=0" may now be used to prevent page breaks in the listing file.  
    This feature was provided by Reto Felix <reto.felix@bluewin.ch>.
  * All arguments to the list directive are now processed as decimal regardless
    of the current radix setting.
  * reformat ChangeLog  

0.9.12   TSD for Craig Franklin

1.  The preprocessor now supports #v(expression) substitution in labels and 
symbols.  If symbol equals 4, then the label "mylabel_#v( (symbol * 3))_ok" is 
replaced with "mylabel_12_ok".

2.  The error message "can't evaluate expression" has been replaced by more
specific error messages.

3.  eeprom8 device is now supported.

4.  The DOS newlines option (-n) has been disabled on win32 systems.  DOS
newlines are already the default on these systems.

0.9.11   TSD for Craig Franklin

1.  Labels are substituted when found on the #define table.  

2.  Labels are treated as macros when found on the macro table.

3.  gpasm can now distinguish between directives and opcodes placed in the 
first column.  

4.  defines are now printing in the listing file symbol table.

5.  #ifdef and #ifndef check the entire symbol table not just #define table.

6.  Several processors had characters with the incorrect case in the 
defined_as section of their definition.  This lead to incorrect warnings when
using the Microchip header files.

7.  Some changes have been incorporated for cross compiling to win32 systems.

0.9.10   TSD for Craig Franklin

1.  The instruction set is now loaded when the processor is selected.
Previously it was loaded when the first instruction is encountered.  This 
resolves some old problems when the first instruction is incorrectly formatted.  

0.9.9   TSD for Craig Franklin

1.  Labels are now checked against the symbol tables.  If the label is found
on the instruction or the directive lists, a warning is generated and the text 
is treated accordingly.

2.  Symbols may now be assigned values when declared using the local directive.
As in "local i, j=15, k".

3.  The extended ASCII character set (ü) may now be used for labels and 
symbols.  

4.  gpasm now tests for infinite while loops.  In this condition, an error is
generated and assembly continues. 

5.  Assembly will now stop upon encountering the first END statement. 
Regardless of location.

6.  Flags have been added to the linker to warn when a common symbol is 
combined with another symbol.  This condition could create porting issues. The 
warnings that resulted from this change were fixed.  

0.9.8   TSD for Craig Franklin

1. Macros and While loops are now expanded in the listing file.  Macro 
expansion can be disabled using "list e=OFF" in the source code or "-e OFF" as 
a gpasm argument.  While loops are always expanded.    

2. Macros and While loops are also expanded in the COD file.  Now when you 
step through the source code in gpsim, the file viewer will jump to the macro 
or while loop definition.

3.  New Processors added:

     16c745, 16c765

4.  Some users require dos style new lines (CRLF) in hex files for device 
programmers.  gpasm will generate these by selecting -n or --dos. 

5. The -Wall and -pedantic flags were added to gcc on linux systems.  All 
warnings generated from this change were corrected.  

6. Various configuration problems were fixed that caused "make distcheck" to 
fail.

7. getopt_long() has been added to gpvo.

8. A Makefile for generating rpms has been added.  See the README in the rpm
subdirectory for details.

9. BUG #433291. During macro innvocation, the list linetype was set to the 
value of the line before endm in the definition.  This could result in a bad
label error, if that line was a non code generating directive.  The linetype is
now "none" during expansion or "insn" during nonexpansion. 

0.9.7   TSD for Craig Franklin

1.  The i++ and i-- operators are now implemented.  Note: the variable is a
label and must appear in column 1. 

2.  +=, -=, *=, /=, %=, <<=, >>=, &=, |=, and ^= have all been implemented.
Note: the variable is a label and must appear in column 1. 

3.  If a file ends during an IF statement, before an ENDIF found, a warning is 
now generated.

4.  The conditional assembly directives IFDEF, IFNDEF, and ENDIF may now be
proceeded by a "#".  example: #ifdef

5.  The SET directive may now be proceeded by "."

6.  The header files have been updated. 

7.  A memory map is now generated as part of the listing file.  The generation
of the memory map is controlled by "list mm=[ON|OFF]".

8.  The number of program words used by the program is now reported in the
listing file.

9.  Several users have had problems linking with libfl.a to get yywrap().  
gpasm has been modified so that libfl.a is no longer needed.  flex is still 
required.

10.  The message generated whenever a special mneumonic was used has been
disabled.  This message was part of the test files provided by Microchip, but
message is not yet part of the current mpasm releases. 

11.  The configure script now detects the host operating system.  When using cc
on SunOS the "-xCC" flag is used to allow "//" comments.

12.  New processors added:

     18c601, 18c801, 18f010, 18f012, 18f020, 18f022

0.9.6   TSD for Craig Franklin

1.  A new utility, gpvo, GNU PIC View Object, was added.  This tool displays the
contents of Microchip's object files.  The tool is in a very preliminary stage 
of development.  To reflect this it is designated "pre-alpha".  

2.  BUG #426330.  getopt_long() is not available on all systems.  The configure
script now detects the function.  If it is not present gpasm uses getopt(). 
This does not change the features available, only the way they are commanded.

3.  To make the error messages more readable the error codes are now enclosed in
[].

4.  BUG #423850.  gpasm would hang on symbols defined incorrectly. 

          #define foo foo.  
 
crash --> movlw foo

An error is now generated each time foo is used in an expression and gpasm
doesn't lockup.

5.  1/2 of BUG #423204.  The top level assembly file must always end in "END". 
This condition is now tested for and an error is generated if it is not present.    

6.  BUG #422060.  gpasm will now compile on a 64 bit machine (NetBSD/Alpha is
the only one that has been tested).     

7.  gpvc header file had declarations that were getting instantiated multiple
times.

0.9.5   TSD for Craig Franklin

1.  gpasm, like mpasm, is now case sensitive by default.  The -c parameter now 
makes gpasm case insensitive.

2.  The macros in special.inc have been incorporated into the source code.  This
was done to solve a case sensitivity problem.

3.  gpdasm can now read inhx16 format in addition to inhx8m and inhx32.

4.  A new option, -i, has been added to gpdasm.  This option returns data on 
the input hex file, like number of bytes and hex file format.

5.  The format of error/warning/message has been changed.  To standard output
the new format is 

  "filename":"line number": Error "number" "message"

to the list file:

  Error ["number"] : "message"

The list file output conforms with MPASM.  The standard output conforms with
most gnu tools.

6.  GNU long options have been provided by Salvador Eduardo Tropea
<salvador@inti.gov.ar>. 

0.9.4   TSD for Craig Franklin

1.  inhx16 hex format can now be generated by gpasm.  

2.  17cxx devices are now checked for exceeding their 16 bit address range.  If
this happens an error is generated.

3.  gpasm now checks to see if an address has been written to more than once.  
If it has an error is generated.

4.  Previously, when an invalid data memory location is accessed, gpasm would
generate a warning and not write the instruction to program memory.  Now it 
will still generate the warning, but it also outputs the instruction.

5.  __fuses is now equivalent to __config.

6.  The 16c461 processor has been added.

7.  When two different processors are selected in the source file an error,
in addition to the duplicate processor warning, is generated.

8.  The "#" symbol can now be prefixed to include directives.

9.  If a source file ends during a while statement, before a endw is
encountered, an error is generated.

10.  Bug #413296.  Numeric expressions followed by b, d, h, or o, are now 
interpretted according to the radix they represent (i.e. 144o = 144 octal 
= 100 decimal)

11.  Labels are now checked to verify they are on a legal line.  An example is
shown below: 

     Error radixerr.asm 16 : 121 Illegal label.
                    00016 Label   RADIX   OCTAL

0.9.3   TSD for Craig Franklin

1.  The 17cxx processor family is now supported.  Much of the work was completed
by Carlos Nieves <cnieves@iname.com>.

2.  Macro name case sensitivity is now controlled by the -c option.

3.  Values stored to program memory using the dt directive are now masked to
ensure that a value over 0xff isn't stored.

4.  The number of arguments passed to EXPAND and NOEXPAND are now checked.  If
any number other than 0 is passed a warning is generated.

5.  If no arguments are passed to SPACE, it is now equivalent to SPACE 0.

6.  16cr56 and 14000 processors are now supported.  

7.  SUBTITL and STITLE are now equivalent to the SUBTITLE directive. 

8.  A single character enclosed by double quotes is now interpretted as the
corresponding ASCII code (example: ANDLW "A" = 0x0E41 for 12 bit cores).

9.  The header files have been updated.

10.  The ram access bit "a" for 18cxx devices now defaults to "0" or Access RAM.

11.  The AND operator now has a higher precedence then the OR operator.  The
following line from the preced.asm test file demonstrates this.

    002D     0000           00067         DATA    2 == (2 && 0 + 1)       ; 0
                            00068 
--> 002E     0001           00069         DATA    1 || 0 && 0     ; 1
    002F     0001           00070         DATA    1 || (0&&0)     ; 1
    0030     0000           00071         DATA    (1||0) && 0     ; 0

12.  A few changes were required to compile under Mac OS X.  Some of these 
changes were incorporated.

0.9.2   TSD for Craig Franklin

1.  Added many new processors.  The new list is below:

	gen        p12c508    p12c508a   p12c509    p12c509a   p12c671
	p12c672    p12ce518   p12ce519   p12ce673   p12ce674   p12cr509a
	p16c5x     p16cxx     p16c505    p16c52     p16c54     p16c54a
	p16c54b    p16c54c    p16c55     p16c55a    p16c554    p16c554a
	p16c558    p16c558a   p16c56     p16c56a    p16c57     p16c57c
	p16c58     p16c58a    p16c58b    p16c61     p16c62     p16c62a
	p16c62b    p16c620    p16c620a   p16c621    p16c621a   p16c622
	p16c622a   p16c63     p16c63a    p16c64     p16c64a    p16c641
	p16c642    p16c65     p16c65a    p16c65b    p16c66     p16c661
	p16c662    p16c67     p16c70     p16c71     p16c71a    p16c710
	p16c711    p16c712    p16c715    p16c716    p16c717    p16c72
	p16c72a    p16c73     p16c73a    p16c73b    p16c74     p16c74a
	p16c74b    p16c76     p16c77     p16c770    p16c771    p16c773
	p16c774    p16c83     p16c84     p16c85     p16c86     p16c923
	p16c924    p16ce623   p16ce624   p16ce625   p16cr54    p16cr54a
	p16cr54b   p16cr54c   p16cr56a   p16cr57a   p16cr57b   p16cr57c
	p16cr58a   p16cr58b   p16cr62    p16cr63    p16cr64    p16cr65
	p16cr72    p16cr83    p16cr84    p16f83     p16f84     p16f84a
	p16f627    p16f628    p16f870    p16f871    p16f872    p16f873
	p16f874    p16f876    p16f877    p16hv540   p16lc74b   p18cxx2
	p18c242    p18c252    p18c442    p18c452    p18c658    p18c858
	sx18       sx20       sx28       

2.  Bug #231274.  Page directive conflicted with the Page instruction in sx 
devices.  The result was a redefining symbol error when an SX device was 
selected.  This has been fixed.  The result is the PAGE directive is disabled 
for all SX devices.

3.  Config data is now masked by the device core size.  This prevents things
like 0x1234 from being written into config memory for a 12 bit device. 

4.  "decimal" and "octal" are now valid arguments for the radix.  This is a
legacy feature of MPASM.  It is not documented in their users manual. 

5.  In instances of "label org 100", label is added to the symbol table. 
Previously, it was ignored.

6.  BUG #233207.  Labels defined inside macros now work.

7.  Microchip has provided the gpasm project with test files they use to test 
MPASM.  The new test files have been added to CVS.  These files required the 
use of their header files.  These were added to the project.  They are 
installed when "make install" is ran.

8.  The distribution now includes an example located in ./examples/example1.

9.  A few changes were required to compile under cygwin.  Some of these changes
were incorporated.

10.  Cleaned up source code.  (Missing comments, unused code, ...) 

0.9.1   TSD for Craig Franklin

1.  The project was reorganized to make room for some new tools. Each tool    
is now located in its own subdirectory.  Common functions are located in 
libgpasm.a in the lib directory.

2.  A new utility, gpdasm, GNU PIC Disassembler, was added.  Details can be 
found in the project documentation.  

3.  A new utility, gpvc, GNU PIC View COD, was added.  Details can be 
found in the project documentation.  This is basically version 0.0.3 of Scott
Dattalo's vc.  It will be maintained as part of gpasm. 

4.  Documentation has been updated.  The gpasm section includes changes made
during the 0.8.x series.  It still isn't perfect. It is missing information on
the PIC18cxx series.  New sections have been added for the new tools.

5.  Previously, the ERRORLEVEL directive required the user to force
interpretation of arguments as decimal using "." or "d".  This is no longer
required.  The arguments are always interpreted as decimal regardless of the
radix setting.

6.  A debug message has been removed from the maybe_evaluate function in
opcode.c.

0.9.0   TSD for Craig Franklin

1.  A typo in the help listing for the usage of warning level was fixed. 

2.  The options for LIST are case sensitive when the -c option is used.  Because
of this, list p=<XXX> works and list P=<XXX> doesn't.  This has been corrected.

3.  The addition of the case sensitive defines broke the processor selection
using -p <processor>.  This has been fixed.

4.  gpasm -q will now suppress the output from the gperror system to the screen.
This doesn't effect the listing file.  It doesn't currently make gpasm totally
quiet.  Some messages bypass the gperror system.  They are not effected by -q.

5.  gpasm reported an "Unknown Opcode" for each instruction whenever a processor
wasn't selected.  It now reports this error as "Processor type is undefined". 


0.8.16  TSD for Craig Franklin

1.  New directives:

     da
     __idlocs
     variable
     constant
     
2.  The data and db directives generated incorrect values for 16 bit cores. 
This has been corrected.

3.  The dw directive generated incorrect values for all devices.  This as been
corrected.

4.  inhx8s hex format can now be generated.

5.  EXPAND and NOEXPAND directives can now be called without generating an
error.  They will not, however, effect the listing file.  Similarly, macro 
expansion can be selected on the command line with "gpasm -e [ON|OFF]" or
using in the source file "list x=[ON|OFF]."  They will not effect the listing
file.

0.8.15	TSD for Craig Franklin

1.  When numeric arguments were passed to a function that expects a symbol,
GPASM reported the error as "Expression to Complex".  This has been changed to
illegal argument to conform with MPASM.  

2.  A previous patch always warned the user then option or tris was used.  I
have learned that MPASM doesn't warn the user on p16c5x devices.  The behavior
has been modified to conform with MPASM.

3.  The -c option now makes the #defines case sensitive.

4.  Command line setting of the warning level is supported.  Like MPASM, 
command line arguments override settings in the source code. All command 
line settings now have flags indicating the value was set by the 
command line and it can't be overwritten by the asm source code.  A warning 
or message is posted to the user.

5.  Output hex file format can now be chose using LIST f=<inhx8m|inhx8s|inhx32>.  

6.  GPASM 0.8.14 has a bug were the org isn't reset after a config is called. 
This is normally not seen because most people place the config statements before
their first org.  This patch saves the org before the config is ran then 
restores it afterword.

7.  GPASM 0.8.14 doesn't print the config information to the list file correctly
for pic18cxx devices. 

8.  Several new codes have been added for new tests.

9.  The FILL directive works.  It works the same as MPASM with one important 
exception.  It does't support the use of a line of assembly as an argument.  
That is not a problem because the while statement can do the same thing. 

10.  GPASM now generates inhx32 format.  In adding this, a structural change had 
to be made.  Previously, the MEMBLOCK segment size was 64K words.  I changed 
this to 32K words.  I did this because the 32K words (or 64K bytes) is equal 
to one segment.  Which, conviently, is the maximum size for a inhx8m file and
the size of one inhx32 segment.

11.  The list file had some extra blanks.  These were fixed.

12.  All of the directives and instuctions now have the correct list linetype 
assignment.  I abandoned the default method because of too many special cases.

13.  The RADIX directive had a linetype assignment of ORG, it should be none.

14.  The ORG directive originally had the correct line type assignment of ORG. 
It was changed to EQU in version 1.8 of opcode.c.  I don't know the reason.  
This patch changes it back.

15.  The PAGE directive had a linetype assignment of ORG, it should be NONE.

16.  Directives in scan.l (include, define, ..) are now all case insensitive.
There are many instances in microchips appnotes of SubTitle, Title, ...
GPASM 0.8.14 dosesn't recognize them.  The change was to add "-i" to flex
when GPASM is compiled this makes the scan.l case insensitive.

17.  #undefine now works.  Previously symbols could be redefined by having
another instance of #define.  Doing so will now result in a warning.  Symbols
must be defined and undefined and defined again to be reassigned.

18.  Previously, #define could only appear in column 1.  Now it does not. This
occurs in micorchip include files.  

19.  Previously, #defines were executed regardless of assembling being enabled. 
An example would be a set of defines inside an IF statement.  This case occurs
when Micorchip's include file for 16c5x devices is used.

0.8.14	TSD Yet another patch from Craig Franklin that improves gpasm error
	handling capabilities. Also, I added the 16f876 for Alex Holden.

0.8.13  ELS - Added gpasm.spec file to build RPMs under Red Hat Linux 7.0,
	use 'rpm -ta gpasm-0.8.13.tar.gz'.  Added missing newline to
	gperror.h.

0.8.12	TSD Patch from Craig Franklin mailto:craigfranklin@users.sourceforge.net that 
	implements the ERRORLEVEL directive.

0.8.11  TSD Patch from Craig Franklin mailto:craigfranklin@users.sourceforge.net to fix command
	line options (the -o option was missing, and the -e and -w options weren't
	being used). Also applied patch from Craig that implements the subtitle 
	directive.

0.8.10	TSD added support for more than 8 files in one .cod file.

0.8.6  symbol information was not being written to the .cod file

0.8.5 
  added >64k file generation capability. 
  added support for the __CONFIG address, config_bits directive
    (you used to couldn't specify the config address)
  added i_memory.c to handle the instruction memory. Previously,
    i_memory was a 64k, statically allocated array. Now it's a
    dynamically allocated linked list of 64k memory blocks.
  redesigned/rewrote major portions of cod.c to accomodate the
   greater than 64k code generation. Removed the unnecessary
   restriction that the miscellaneous code blocks had to be
   written in a specific order. Added multiple directories.
   Fixed the code range information (this specifies where there's
   valid code).  
   
0.8.1 - 0.8.4
  minor enhancements 

0.8.0

 - added a few more processors
 - the HIGH directive was always returning 0
 - __CONFIG directive now supports an optional address
 - added support for >64k address space
   (this allows the 18cxxx config word to be handled
    properly, but at the same time the change is 
    general enough to accomodate code generation
    at addresses above 64k - a feature gpsim will
    soon need).
 - Switched the Makefile to a more standard automake
   style.
 - Changed the number notation so that what was the
   micro version is now the minor version. Development
   releases will bump the micro version. (This means
   gpasm-0.0.8 is now expressed as gpasm-0.8.0).
 - renamed gpasm.y to parse.y so that the automake
   tools would be happy.
 - Enhanced the error message system.

0.0.8

Added SET opcode
Supports '=' syntax for SET
Added WHILE/WEND
Added ERROR
Added 'generic' processor type; needed for AVR support

Support for .cod files added 
  - added cod.c and cod.h
  - several small changes scattered through out all of the source
    some of the more significant changes:
     o modified the state structure to accomodate symbol files
     o gpasmVal now has typing information
     o cblock defined constant are given register typing
     o program labels are given typing info

Added a few more pic processors

__config now will display the config address and config value in the .lst file

dt macro didn't ignore upper 8 bits of a literal

added new macros:
  db   byte packed data table
  dw   same as data macro
  de   like dw but upper nibble is zeroed

Added support for the 18cxxx instruction set.
Added the '-l' (dash ell) option for showing the list of
supported processors


0.0.7

Tab-stops now expanded to spaces in listing, LIST b=NN supported
Scenix processors added
Changed sys_errlist[] to strerror()
Manual update

0.0.6

Build using autoconf

0.0.5

Fixed bug where we always processed equ statements, even inside
conditional assembly blocks.

0.0.4

Second invocation of macro actually runs the macro twice, so local
forward definitions get resolved correctly.  This means that macro
bodies get 3 passes made on them.  Far from pretty, but it does the
job.  See execute_macro(), and new function execute_body().

Restore cblock value to 0 at start of 2nd pass.

Accept CBLOCK headers without an expression: continues at previous
CBLOCK value.  See gpasm.y.

Accept CBLOCK values as labels, with or without an expression.  See gpasm.y.

Do #define substitution.  Done in the lexical analyser, using the same
stack that we use for include files.  Still no support for parameters
in #define.  See scan.l.

Evaluate '$' late, instead of at parse time.

Missing parameter to bit operations was giving coredump instead of
error message.

Makefile now builds with "gcc -Wall --pedantic", had a general cleanup
following this.

Small fix to lexical analyser to make it cope with MSDOS '\r'
characters.

$Revision: 985 $
